<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

$navbar_contents = array();
$navbar_contents[] = array('group' => 'eShox Setup', 'bits' => array(9,10),
	                       'contents' => array(array('section' => 'eShox Setup', 'link' => 'configuration.php?gID=1', 'gID' => '1', 'bit' => 9),
	                                           array('section' => 'eShox Features', 'link' => 'configuration.php?gID=2', 'gID' => '2', 'bit' => 9),
	                                           array('section' => 'eShox Admin Users', 'link' => 'admin_users.php', 'bit' => 10)));
$navbar_contents[] = array('group' => 'Store Setup', 'bits' => array(9),
	                       'contents' => array(array('section' => 'Branding & Affiliates', 'link' => 'affiliates.php'),
	                                           array('section' => 'Search Engine Setup', 'link' => 'configuration.php?gID=7', 'gID' => '7'),
	                                           array('section' => 'Information Panels', 'link' => 'information.php'),
	                                           array('section' => 'Order Status Setup', 'link' => 'order_status.php')));
$navbar_contents[] = array('group' => 'Management', 'bits' => array(6,10),
	                       'contents' => array(array('section' => 'File Finder', 'link' => 'finder', 'bit' => 10),
	                                           array('section' => 'Software Update', 'link' => 'update', 'bit' => 10),
	                                           array('section' => '-', 'link' => '-', 'bit' => 10),
	                                           array('section' => 'XML Portal', 'link' => 'xml.php', 'bit' => 6),
	                                           array('section' => 'Import / Export', 'link' => 'portal.php', 'bit' => 6),
	                                           array('section' => 'Backup / Restore', 'link' => 'backup.php', 'bit' => 10)));
$navbar_contents[] = array('group' => 'Interface Setup', 'bits' => array(9),
	                       'contents' => array(array('section' => 'Interface Skins', 'link' => 'modules.php?set=skin&module=' . MODULE_SKIN_SELECTED, 'set' => 'skin'),
	                                           array('section' => 'Button Themes', 'link' => 'modules.php?set=theme&module=' . MODULE_THEME_SELECTED, 'set' => 'theme'),
	                                           array('section' => '-', 'link' => '-'),
	                                           array('section' => 'Image Sizes', 'link' => 'configuration.php?gID=4', 'gID' => '4'),
	                                           array('section' => 'Display', 'link' => 'configuration.php?gID=10', 'gID' => '10'),
	                                           array('section' => 'Listings', 'link' => 'configuration.php?gID=8', 'gID' => '8')));
$navbar_contents[] = array('group' => 'Catalog Setup', 'bits' => array(5),
	                       'contents' => array(array('section' => 'Categories & Products', 'link' => 'categories.php'),
	                                           array('section' => 'Product Options', 'link' => 'product_options.php'),
	                                           array('section' => 'Customer Options', 'link' => 'customer_options.php'),
	                                           array('section' => '-', 'link' => '-'),
	                                           array('section' => 'Manufacturers', 'link' => 'manufacturers.php'),
	                                           array('section' => 'Products Expected', 'link' => 'product_expected.php')));

if (MODULE_ORDER_TOTAL_COUPON_STATUS == 'true') {
  $navbar_contents[] = array('group' => 'Coupons & Promotions', 'bits' => array(4),
	                         'contents' => array(array('section' => 'Coupons', 'link' => 'coupons.php'),
	                                             array('section' => '-', 'link' => '-'),
	                                     	     array('section' => 'Featured Products', 'link' => 'product_features.php'),
	                                     	     array('section' => 'Product Specials', 'link' => 'product_specials.php')));
} else {
  $navbar_contents[] = array('group' => 'Promotions', 'bits' => array(4),
	                         'contents' => array(array('section' => 'Featured Products', 'link' => 'product_features.php'),
	                                     	     array('section' => 'Product Specials', 'link' => 'product_specials.php')));

}
if (SN_STATUS == 'true') {
  $navbar_contents[] = array('group' => 'Serial Numbers Setup', 'bits' => array(5),
	                         'contents' => array(array('section' => 'Serial Numbers', 'link' => 'products_serial_numbers.php')));
}
if (MSHOX_STATUS == 'true') {
  $navbar_contents[] = array('group' => 'Music Setup', 'bits' => array(5),
	                         'contents' => array(array('section' => 'Artists & Bands', 'link' => 'artists.php'),
	                         					 array('section' => 'Albums & Tracks', 'link' => 'albums.php'),
	                         					 array('section' => 'Tour Dates', 'link' => 'tour_dates.php')));
}
$navbar_contents[] = array('group' => 'Checkout Setup', 'bits' => array(9),
	                       'contents' => array(array('section' => 'Stock & Packaging', 'link' => 'configuration.php?gID=9', 'gID' => '9'),
	                                           array('section' => 'Payment Options', 'link' => 'modules.php?set=payment', 'set' => 'payment'),
	                                           array('section' => 'Shipping Options', 'link' => 'modules.php?set=shipping', 'set' => 'shipping'),
	                                           array('section' => 'Checkout Options', 'link' => 'modules.php?set=ordertotal', 'set' => 'ordertotal')));
$navbar_contents[] = array('group' => 'Geographical Setup', 'bits' => array(7,8),
	                       'contents' => array(array('section' => 'Languages', 'link' => 'languages.php', 'bit' => 8),
	                                           array('section' => 'Currencies', 'link' => 'currencies.php', 'bit' => 7),
	                                           array('section' => '-', 'link' => '-', 'bit' => 8),
	                                           array('section' => 'Countries', 'link' => 'countries.php', 'bit' => 8),
	                                           array('section' => 'Zones & States', 'link' => 'zones.php', 'bit' => 8)));
$navbar_contents[] = array('group' => 'Tax Setup', 'bits' => array(7),
	                       'contents' => array(array('section' => 'Tax Zones', 'link' => 'tax_zones.php'),
	                                           array('section' => 'Tax Classes', 'link' => 'tax_classes.php'),
	                                           array('section' => 'Tax Rates', 'link' => 'tax_rates.php')));

$navbar_contents[] = array('group' => 'Transactions', 'bits' => array(2),
	                       'contents' => array(array('section' => 'Customer Orders', 'link' => 'orders.php')));
$navbar_contents[] = array('group' => 'Customer Info', 'bits' => array(3),
	                       'contents' => array(array('section' => 'Customer Information', 'link' => 'customers.php'),
	                                           array('section' => 'Email Customers', 'link' => 'customers_mail')));
$navbar_contents[] = array('group' => 'General Statistics', 'bits' => array(1),
	                       'contents' => array(array('section' => 'Top Products', 'link' => 'statistics.php?type=products', 'type' => 'products'),
	                                           array('section' => 'Top Affiliates', 'link' => 'statistics.php?type=affiliate', 'type' => 'affiliate'),
	                                           array('section' => 'Top Customers', 'link' => 'statistics.php?type=customers', 'type' => 'customers'),
	                                           array('section' => 'Top Manufacturers', 'link' => 'statistics.php?type=manufacturers', 'type' => 'manufacturers'),
	                                           array('section' => 'Top Referral Sites', 'link' => 'statistics.php?type=referer', 'type' => 'referer'),
	                                           array('section' => 'Top Countries', 'link' => 'statistics.php?type=countries', 'type' => 'countries'),
	                                           array('section' => '-', 'link' => '-'),
	                                           array('section' => 'World Regions', 'link' => 'statistics.php?type=regions', 'type' => 'regions'),
	                                           array('section' => '-', 'link' => '-'),
	                                           array('section' => 'Order Status', 'minlevel' => 'manufacturer', 'link' => 'statistics.php?type=status', 'type' => 'status'),
	                                           array('section' => '-', 'link' => '-')));
$navbar_contents[] = array('group' => 'Historical Statistics', 'bits' => array(1),
	                       'contents' => array(array('section' => 'Monthly Tax', 'link' => 'statistics.php?type=tax', 'type' => 'tax'),
	                                           array('section' => '-', 'link' => '-'),
	                                           array('section' => 'Date Ranges', 'link' => 'statistics.php?type=ranges', 'type' => 'ranges'),
	                                           array('section' => 'Compare Months', 'link' => 'statistics.php?type=compare', 'type' => 'compare'),
	                                           array('section' => 'Cumulative Year', 'link' => 'statistics.php?type=cumulative', 'type' => 'cumulative')));

$sparx_info = array();
foreach ($GLOBALS['sparx']->sparx_classes as $value) {
  if ($GLOBALS[$value]->navbar) {
		$sparx_info[$GLOBALS[$value]->group][] = array('section' => $GLOBALS[$value]->title, 'link' => $GLOBALS[$value]->link, 'type' => $GLOBALS[$value]->code, 'navbar' => $GLOBALS[$value]->navbar, 'bits' => $GLOBALS[$value]->perms);
  }
}
if (count($sparx_info) > 0) {
	foreach ($sparx_info AS $group => $contents ) {
		$navbar_contents[] = array('group' => $group,
															 'bits' => $contents[0]['bits'],
		                           'contents' => $contents);
	}
}

?>
	<TR>
	    <TD HEIGHT="12" width="8"><nobr><IMG SRC="images/navbar_header_left.gif" WIDTH="8" HEIGHT="12"><img src="images/navbar_header_bg.gif" width="144" height="12"><IMG SRC="images/navbar_header_right.gif" WIDTH="8" HEIGHT="12"></nobr></TD>
	</TR>
	<TR>
	    <TD HEIGHT="1"><IMG SRC="images/win_div.gif" WIDTH="100%" HEIGHT="1"></TD>
	</TR>
	<TR>
	    <TD BGCOLOR="ffffff">
	        <table class="ANavbarContent" border="0" width="100%" cellspacing="0" cellpadding="0" bgcolor="F8F8F8">
<?php
$navbar_sections = sizeof($navbar_contents);
if (array_sum($GLOBALS['USERPERMS']) > 5) {
  if (NAVBAR == 'a') {
	$start = 0; $end = round($navbar_sections/2);
  } else {
	$start = round($navbar_sections/2); $end = $navbar_sections;
  }
} else {
  $start = 0; $end = sizeof($navbar_contents);
}

for ($group_id = $start; $group_id < $end; $group_id++) {
	if (sizeof($navbar_contents[$group_id]['bits'])) {
	  $stop = true;
	  foreach ($navbar_contents[$group_id]['bits'] as $id => $bit) {
	    if ($GLOBALS['USERPERMS'][BITS-$bit] == '1') $stop = false;
	  }
	  if ($stop) continue;
	}
	echo '                <TR>' . UNIX_RETURN;
	echo '                    <TD background="images/navbar_column_bg.gif" colspan="2" align="left" valign="top" onmouseover="this.style.cursor=\'pointer\'" height="16"><table height="15" border="0" cellpadding=0 cellspacing=0><tr>' . UNIX_RETURN;
	echo '                    <td background="images/navbar_heading_bg.gif" class="ANavbarContent" valign="center">&nbsp; ' . $navbar_contents[$group_id]['group'] . '&nbsp;</TD>' . UNIX_RETURN;
	echo '                    <td background="images/navbar_heading_right.gif" width="5"></TD>' . UNIX_RETURN;
	echo '                    </tr></table>' . UNIX_RETURN;
	echo '                </TR>' . UNIX_RETURN;
	echo '                <TR><TD colspan="2" height="3"></TD></TR>' . UNIX_RETURN;
	for ($contents_id = 0; $contents_id < sizeof($navbar_contents[$group_id]['contents']); $contents_id++) {
	  if ($navbar_contents[$group_id]['contents'][$contents_id]['bit'] && $GLOBALS['USERPERMS'][BITS-$navbar_contents[$group_id]['contents'][$contents_id]['bit']] != '1') continue;
	  if ($navbar_contents[$group_id]['contents'][$contents_id]['link'] == '-') {
	    echo '                <TR><TD height="3"></TD></TR>' . UNIX_RETURN;
	  } else {
	    $check = MYSELF;
	    switch ($check) {
	      case 'statistics.php':
	        $check = $_GET['type'];
	        $value = $navbar_contents[$group_id]['contents'][$contents_id]['type'];
	        break;
	      case 'modules.php':
	        $check = $_GET['set'];
	        $value = $navbar_contents[$group_id]['contents'][$contents_id]['set'];
	        break;
	      case 'configuration.php':
	        $check = $_GET['gID'];
	        $value = $navbar_contents[$group_id]['contents'][$contents_id]['gID'];
	        break;
	      case 'configuration.php':
	        $check = 'sn_products.php';
	        $value = $navbar_contents[$group_id]['contents'][$contents_id]['link'];
	        break;
	      case 'tracks.php':
	        $check = 'albums.php';
	        $value = $navbar_contents[$group_id]['contents'][$contents_id]['link'];
	        break;
	      default:
	        $link = explode('?',$navbar_contents[$group_id]['contents'][$contents_id]['link']);
	        $value = $link[0];
	    }
	    if ($check == $value) {
	      echo '                <TR class="ANavbarContentSelected" onmouseover="this.style.cursor=\'pointer\'">' . UNIX_RETURN;
	      echo '                    <TD height="13" align="left" valign="center"> &nbsp; &nbsp; ' . $navbar_contents[$group_id]['contents'][$contents_id]['section'] . '</TD>' . UNIX_RETURN;
	      echo '                    <TD height="13" width="12" valign="center" align="right"><img src="images/icon_arrow_right_small.gif" width="7" height="9"><img src="images/pixel_trans.gif" width="3"></TD>' . UNIX_RETURN;
	      echo '                </TR>' . UNIX_RETURN;
	    } elseif ($navbar_contents[$group_id]['contents'][$contents_id]['link'] == 'customers_mail' || $navbar_contents[$group_id]['contents'][$contents_id]['link'] == 'finder' || $navbar_contents[$group_id]['contents'][$contents_id]['link'] == 'update') {
	      echo '                <TR onmouseover="this.style.cursor=\'pointer\'" onclick="popupWindow(\'' . $navbar_contents[$group_id]['contents'][$contents_id]['link'] . '.php\',\'' . $navbar_contents[$group_id]['contents'][$contents_id]['link'] . '\');">' . UNIX_RETURN;
	      echo '                    <TD height="13" align="left" valign="center" colspan="2"> &nbsp; &nbsp; ' . $navbar_contents[$group_id]['contents'][$contents_id]['section'] . '</TD>' . UNIX_RETURN;
	      echo '                </TR>' . UNIX_RETURN;
	    } else {
	      echo '                <TR onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . $navbar_contents[$group_id]['contents'][$contents_id]['link'] . '\';">' . UNIX_RETURN;
	      echo '                    <TD height="13" align="left" valign="center" colspan="2"> &nbsp; &nbsp; ' . $navbar_contents[$group_id]['contents'][$contents_id]['section'] . '</TD>' . UNIX_RETURN;
	      echo '                </TR>' . UNIX_RETURN;
	    }
	  }
	}
	echo '                <TR><TD colspan="2" HEIGHT="5"></TD></TR>' . UNIX_RETURN;
}
echo '                <TR><TD colspan="2" HEIGHT="3"></TD></TR>' . UNIX_RETURN;

if (array_sum($GLOBALS['USERPERMS']) > 5) {
  echo '                <TR onclick="document.location.href=\'' . shop_href_link(MYSELF, shop_get_all_get_params(array('navbar')) . 'navbar=' . ((NAVBAR == 'a') ? 'b' : 'a'))  . '\';" onmouseover="this.style.cursor=\'pointer\'">' . UNIX_RETURN;
  echo '                  <TD height="13" valign="top" align="right">More</TD>' . UNIX_RETURN;
  echo '                    <TD height="13" width="16" align="center" valign="center"><img src="images/icon_back.gif" width="10" height="10"><img src="images/pixel_trans.gif" width="3"></TD>' . UNIX_RETURN;
  echo '                </TR>' . UNIX_RETURN;
}
echo '                <TR><TD HEIGHT="3"></TD></TR>' . UNIX_RETURN;

?>
	        </table>
	    </TD>
	</TR>
