<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

// hooks for modifications to use eshox sessions
if (!defined("MOD_ADMIN_MAIN_PATH")) define("MOD_ADMIN_MAIN_PATH", '');
require(MOD_ADMIN_MAIN_PATH . 'contents/eshox_os/admin_main.php');

if (!include(realpath(MOD_ADMIN_MAIN_PATH . '../config.php'))) shop_redirect(DIR_WS_CATALOG . 'setup/');
if (!defined("DB_PREFIX")) define("DB_PREFIX", '');

shop_db_connect();
shop_load_configuration();

// Check on WorldShip orders
if (MODULE_SHIPPING_UPS_WORLDSHIP == 'true') {
	$tmp = shop_db_fetch_array(shop_db_query('select count(*) as count from ' . DB_PREFIX . 'ups_worldship where processed != "1"'));
	if ($tmp['count']>=1 && $_GET['action'] != 'process_worldship') {
		// let's process the worldship information then bring them back
		shop_redirect('orders.php?action=process_worldship&goto=' . urlencode($_SERVER["REQUEST_URI"]));
	}
}

include(MOD_ADMIN_MAIN_PATH . 'contents/eshox_os/define.php');

$languages = shop_db_fetch_array(shop_db_query('select languages_id from ' . DB_PREFIX . 'languages where code = "' . DEFAULT_LANGUAGE . '"'));
$languages_id = $languages['languages_id'];

if ($_POST['store_address']) {
  $affiliate = shop_db_fetch_array(shop_db_query("select a.*, afd.introduction, c.countries_iso_code_2 from " . DB_PREFIX . "affiliates a, " . DB_PREFIX . "affiliates_description afd, " . DB_PREFIX . "countries c where afd.affiliates_description_id = a.introduction_id and c.countries_id = a.country and a.email = '" . $_POST['store_address'] . "' and afd.language_id = '$languages_id' limit 1"));
} else {
  $affiliate = shop_db_fetch_array(shop_db_query("select a.*, afd.introduction, c.countries_iso_code_2 from " . DB_PREFIX . "affiliates a, " . DB_PREFIX . "affiliates_description afd, " . DB_PREFIX . "countries c where afd.affiliates_description_id = a.introduction_id and c.countries_id = a.country and a.link_code = '" . DEFAULT_AFFILIATE . "' and afd.language_id = '$languages_id'"));
}

define('STORE_NAME', $affiliate['name']);
define('STORE_OWNER', $affiliate['owner']);
define('STORE_NAME_ADDRESS', $affiliate['address_phone']);
define('STORE_COUNTRY_ID', $affiliate['country']);
define('STORE_ZONE_ID', $affiliate['zone']);
define('STORE_ORIGIN_ZIP', $affiliate['postal']);
define('STORE_OWNER_EMAIL_ADDRESS', $affiliate['email']);
define('INTRODUCTION', $affiliate['introduction']);
define('STORE_ORIGIN_COUNTRY', $affiliate['countries_iso_code_2']);
define('STORE_LOGO', $affiliate['image']);

setlocale(LC_TIME, 'en_' . strtoupper(STORE_ORIGIN_COUNTRY) . '.UTF-8', 'en_US.UTF-8', 'en_US');

if (@$_POST['eshox_username']) {
  setcookie('eshox_username', $_POST['eshox_username']);
  setcookie('eshox_password', crypt($_POST['eshox_password'], 'fgshdfgshasdg'), (($_POST['lifetime'] == 'true') ? 0 : time('U')+57600));
  setcookie('eshox_navbar', 'a');
  header('Location: ' . MYSELF . QUERY_STRING);
  exit;
} elseif (@$_GET['logout'] == 'true') {
  setcookie('eshox_password', '0', time('U')+5);
  setcookie('eshox_numorders[count]', '0', time('U')+5);
  setcookie('eshox_numorders[check]', '0', time('U')+5);
  setcookie('eshox_navbar', '0', time('U')+5);
  setcookie('eshox_pagetoggle', '0', time('U')+5);
  header('Location: ' . MYSELF);
  exit;
}

if (@$_COOKIE['eshox_navbar']) {
  setcookie('eshox_navbar', $_COOKIE['eshox_navbar']);
}

// delete files from gd cache
if (@$_FILES) {
  foreach ($_FILES as $id=>$file) {
    if (in_array(substr($file['name'],-3,3), array('jpg','peg','gif','png'))) {
      $size = getimagesize($file['tmp_name']);
      $name = substr(md5($size[0].$size[1].$file['name']),0,16);
      $delete = ini_get('session.save_path').DIRECTORY_SEPARATOR.$name.'.png';
      if (@file_exists($delete)) unlink($delete);
    }
  }
}

define('USERNAME', @$_COOKIE['eshox_username']);
define('PASSWORD', @$_COOKIE['eshox_password']);
define('NULL_BIT', "0000000000");
define('BITS', 11);

$GLOBALS['sparx'] = new sparx;
$GLOBALS['sparx']->shop_load_sparx();

$user = shop_db_fetch_array(shop_db_query("select permissions from " . DB_PREFIX . "admin_users where username = '" . USERNAME . "' and password = '" . PASSWORD . "'"));
if ($user['permissions'] > 0) {
  $files = array("index.php");

  $perms = array();
  $perms[1] = array("statistics.php");
  $perms[2] = array("orders_display.php", "orders.php", "statistics.php");
  $perms[3] = array("address_book.php", "customers_mail.php", "customers_profile.php", "customers.php");
  $perms[4] = array("coupons_mail.php", "coupons.php", "product_features.php", "product_specials.php");
  $perms[5] = array("products_serial_numbers.php", "categories.php", "manufacturers.php", "product_options_setup.php", "product_options.php", "product_expected.php", "customer_options_setup.php", "customer_options.php", "albums.php", "artists.php", "tour_dates.php");
  $perms[6] = array("portal_import.php", "portal.php", "dreamweaver.php", "xml.php");
  $perms[7] = array("tax_classes.php", "tax_rates.php", "tax_zones.php", "currencies.php");
  $perms[8] = array("languages.php", "countries.php", "zones.php");
  $perms[9] = array("affiliates_setup.php", "affiliates.php", "configuration.php", "information.php", "modules.php", "order_status.php");
  $perms[10] = array("backup.php", "admin_users.php", "finder.php", "update.php", "popup_sql.php");
	if ($custom_perms) $perms = array_merge($perms, $custom_perms);
	
	// Add the sparx modules to the permissions array
	foreach ($GLOBALS['sparx']->sparx_classes as $value) {
		if ($GLOBALS[$value]->perms) {
			foreach ($GLOBALS[$value]->perms as $key => $perm) {
				array_push($perms[$perm], $GLOBALS[$value]->link); 
			}
		}
	}

  $user = preg_split("//",(substr(NULL_BIT . base_convert($user['permissions'],10,2),-10)));
  foreach ($perms as $bit=>$perm) if ($user[BITS-$bit] == '1') $files = array_merge($files, $perm);
} 
else {
  $manufacturer = shop_db_fetch_array(shop_db_query("select IF(length(manufacturers_password) > 0, manufacturers_password, null) as password, manufacturers_id from " . DB_PREFIX . "manufacturers where manufacturers_email = '" . USERNAME . "' and manufacturers_password = '" . PASSWORD . "'"));
  if ($manufacturer['password']) {
	define('MANUFACTURER', $manufacturer['manufacturers_id']);
	$files = array("orders.php","orders_display.php");
  } 
  elseif ($custom_perms) {
  	shop_redirect(MOD_ADMIN_MAIN_PATH . 'index.php');
	}
  else {
		include ('contents/eshox_os/login.php');
		shop_login();
  }
}

if (!in_array(MYSELF, $files)) shop_redirect('index.php');

$GLOBALS['USERPERMS'] = $user;

if ($_GET['page_toggle'] == 'true') {
	if ($_COOKIE['eshox_pagetoggle'] == 'true') {
		setcookie('eshox_pagetoggle', 'false');
	} else {
		setcookie('eshox_pagetoggle', 'true');
	}
	shop_redirect(MYSELF);
}
define('CFG_ADMIN_ITEMS_PAGE', ($_COOKIE['eshox_pagetoggle'] == 'true') ? 36 : 20);

if (!$_COOKIE['eshox_numorders']['check'] == 'true') {
	$orders = shop_db_fetch_array(shop_db_query("select count(orders_status) as count from " . DB_PREFIX . "orders where orders_status = 1;"));
	setcookie('eshox_numorders[count]', $orders['count']);
	setcookie('eshox_numorders[check]','true', time('U')+60);
	define('NUM_ORDERS', $orders['count']);
	define('NUM_ORDERS_BEEP', ($orders['count'] > 0 && $orders['count'] > $_COOKIE['eshox_numorders']['count']) ? true : false);
} else {
	define('NUM_ORDERS', $_COOKIE['eshox_numorders']['count']);
	define('NUM_ORDERS_BEEP', false);
}

if ($_GET['navbar']) {
	if ($_GET['navbar'] == 'a') {
		setcookie('eshox_navbar', 'a');
		$_COOKIE['eshox_navbar'] = 'a';
	} elseif ($_GET['navbar'] == 'b') {
		setcookie('eshox_navbar', 'b');
		$_COOKIE['eshox_navbar'] = 'b';
	}
}

define('NAVBAR', $_COOKIE['eshox_navbar']);

return shop_escape_quotes($_GET, $_POST, $_COOKIE);

// Internal Functions Start Here
$GLOBALS['magic_quotes'] = ( ( function_exists("get_magic_quotes_gpc") && get_magic_quotes_gpc() ) || ( ini_get('magic_quotes_sybase') && ( strtolower( ini_get('magic_quotes_sybase') ) != "off") ) );

function shop_escape_quotes($data = false) {
	if (is_array($data)) {
		foreach ($data as $id => $dataset) $data[$id] = shop_escape_quotes($data[$id]);
		return $data;
	} elseif ($data) {
		if ($GLOBALS['magic_quotes']) $data = stripslashes($data);
		return preg_replace(array('/[\000-\010\013\014\016-\039]/',"/[']/"),array('', "\\'"), $data);
	}
}

function utf_htmlentities($string = false) {
  return htmlentities($string, ENT_COMPAT, "UTF-8");
}

function utf_htmlentities_decode($string = false) {
  return html_entity_decode($string, ENT_COMPAT, "UTF-8");
}

function shop_cfg_display_sn($text) {
  if ($text) {
	$result = split("[{}]",http_request("http://tools.secure.cc/validate.php?SN=" . $text, $request));
	$hours = $result[1];
	if (is_numeric($hours)) {
	  if ($hours < 24 && !($hours == 0)) {
	    return $text . '<script language="javascript"><!-- ' . UNIX_RETURN . 
	    'alert(\'This eShox license will expire in ' . $hours . ' hours.\rApply for a new serial number at:\rhttp://www.eshox.com/\');' . UNIX_RETURN . 
	    '//--></script>';
	  } elseif (($hours/24) < 30) {
	    return $text . '<script language="javascript"><!-- ' . UNIX_RETURN . 
	    'alert(\'This eShox license will expire in ' . round($hours/24) . ' days.\rApply for a new serial number at:\rhttp://www.eshox.com/\');' . UNIX_RETURN . 
	    '//--></script>';
	  }
	}
  }
  return $text;
}

function shop_mysqlrestore($file) {
  $db_sql = explode(";" . UNIX_RETURN, $file);
  $error = 0;
  for ($i=0;$i<count($db_sql);$i++) {
	mysql_query($db_sql[$i]) or $error++;
  }
}

function shop_make_xml($data, $level = 0, $name = '') {
  while (list($key, $value) = each($data)) {
	if (is_array($value)) {
	  if (is_numeric($key)) {
	    $start_name = $name . ' id="' . $key . '"';
	    $end_name = $name;
	  } else {
	    $start_name = $key;
	    $end_name = $key;
	  }
	  $result .= str_repeat(TAB, $level) . '<' . $start_name . '>' . UNIX_RETURN;
	  $result .= shop_make_xml($value, $level+1, $key);
	  $result .= str_repeat(TAB, $level) . '</' . $end_name . '>' . UNIX_RETURN;
	} elseif ($key && $value) {
	  $result .= str_repeat(TAB, $level) . '<' . $key . '>' . strip_tags(html_entity_decode($value)) . '</' . $key . '>' . UNIX_RETURN;
	}
  }
  return $result;
}

function shop_mysqldump() {
  $dump = '';
  $tables_query = shop_db_query("show tables");
  while($table = shop_db_fetch_array($tables_query)) {
	$table_name = $table['Tables_in_' . DB_DATABASE];
	$dump .= 'DROP TABLE ' . $table_name . ";" . UNIX_RETURN;
	$dump .= 'CREATE TABLE ' . $table_name . ' (';
	$fields = array();
	$columns_query = shop_db_query("show columns from " . DB_PREFIX . $table_name);
	while($column = shop_db_fetch_array($columns_query)) {
	  $dump .= $column['Field'] . ' ';
	  if (strpos($column['Type'], '(') > 0) {
	    $type = substr($column['Type'], 0, (strpos($column['Type'], '(')));
	  } else {
	    $type = $column['Type'];
	  }
	  $fields[] = array('name' => $column['Field'], 'type' => $type);
	  $dump .= $column['Type'] . ' ';
	  if (!($column['Null'] == 'YES')) {
	    $dump .= 'NOT NULL';
	  }
	  if (strlen($column['Default']) > 0) $dump .= ' default "' . $column['Default'] . '"';
	  if (strlen($column['Extra']) > 0) $dump .= ' ' . $column['Extra'];
	  $dump .= ', ';
	}
	$index_query = shop_db_query("show index from " . DB_PREFIX . $table_name);
	$primary = array();
	$key_name = '';
	while($index = shop_db_fetch_array($index_query)) {
	  if ($index['Key_name'] == 'PRIMARY') {
	    $primary[] = $index['Column_name'];
	  } else {
	    $key_name = $index['Key_name'] . ' (' . $index['Column_name'] . ')';
	  }
	}
	$dump .= ' PRIMARY KEY ';
	if (sizeof($primary) > 1) {
	  $dump .= '(';
	  while(list($key, $value) = each($primary)) {
	    $dump .= $value;
	    if ($key < sizeof($primary)-1) $dump .= ',';
	  }
	  $dump .= ')';
	} else {
	  $dump .= '(' . $primary[0] . ')';
	}
	if ((sizeof($primary) > 0) && (strlen($key_name) > 0)) $dump .= ', ';
	if ((strlen($key_name) > 0)) {
	  $dump .= ' KEY ';
	  $dump .= $key_name;
	}
	$dump .= ') TYPE=MyISAM;' . UNIX_RETURN;
	$contents_query = shop_db_query("select * from " . DB_PREFIX . $table_name);
	while($contents = shop_db_fetch_array($contents_query)) {
	  $dump .= 'INSERT INTO ' . DB_PREFIX . $table_name . ' VALUES (';
	  for ($x=0; $x < sizeof($fields); $x++) {
	    if ($fields[$x]['type'] == 'int') {
	      if ($contents[$fields[$x]['name']] > 0) {
	        $dump .= $contents[$fields[$x]['name']];
	      } else {
	        $dump .= 0;
	      }
	    } else {
	      $dump .= '"' . addslashes(str_replace(";" . UNIX_RETURN, ";", $contents[$fields[$x]['name']])) . '"';
	    }
	    if ($x < sizeof($fields)-1) $dump .= ', ';
	  }
	  $dump .= ');' . UNIX_RETURN;
	}
  }
  return $dump;
}

function shop_insert_language($table, $language_id) {
	global $languages_id;
	$data_query = shop_db_query("SELECT * FROM " . DB_PREFIX . "$table WHERE language_id = " . $languages_id);
	if (shop_db_num_rows($data_query)) {
		while($data = shop_db_fetch_array($data_query)) {
			$data['language_id'] = $language_id; reset($data);
			shop_db_perform($table, $data, 'insert');
		}
	}
	return true;
}

function shop_resort_categories() {
  $update_categories_query = shop_db_query("select parent_id, categories_id from " . DB_PREFIX . "categories order by parent_id, sort_order");
  $previous_update = 0;
  $sort_order = 0;
  while ($update_categories = shop_db_fetch_array($update_categories_query)) {
	if ($previous_update == $update_categories['parent_id']) {
	  $sort_order++;
	} else {
	  $sort_order = 1;
	  $previous_update = $update_categories['parent_id'];
	}
	shop_db_perform('categories', array('sort_order' => $sort_order), 'update', 'categories_id = \'' . $update_categories['categories_id'] . '\'');
  }
  return true;
}

function shop_resort_category($categories_id) {
  $products_to_categories_query = shop_db_query("select products_id from " . DB_PREFIX . "products_to_categories where categories_id = '$categories_id' order by sort_order");
  $sort_order = 0;
  while ($products_to_categories = shop_db_fetch_array($products_to_categories_query)) {
	$sort_order ++;
	shop_db_query("update " . DB_PREFIX . "products_to_categories set sort_order = '$sort_order' where categories_id = '$categories_id' and products_id = '" . $products_to_categories['products_id'] . "'");
  }
  $update_categories_query = shop_db_query("select categories_id from " . DB_PREFIX . "categories where parent_id = '$categories_id' order by sort_order");
  $sort_order = 0;
  while ($update_categories = shop_db_fetch_array($update_categories_query)) {
	$sort_order ++;
	shop_db_query("update " . DB_PREFIX . "categories set sort_order = '$sort_order' where categories_id = '" . $update_categories['categories_id'] . "'");
  }
  return true;
}

function shop_resort_products() {
  $update_products_query = shop_db_query("select p2c.categories_id, p.products_id, p2c.sort_order from " . DB_PREFIX . "products p, " . DB_PREFIX . "products_to_categories p2c where p2c.products_id = p.products_id order by p2c.categories_id, p2c.sort_order");
  $previous_update = 0;
  $sort_order = 0;
  while ($update_products = shop_db_fetch_array($update_products_query)) {
	if ($previous_update == $update_products['categories_id']) {
	  $sort_order++;
	} else {
	  $sort_order = 1;
	  $previous_update = $update_products['categories_id'];
	}
	shop_db_perform('products_to_categories', array('sort_order' => $sort_order), 'update', 'products_id = \'' . $update_products['products_id'] . '\' and categories_id = \'' . $update_products['categories_id'] . '\'');
  }
  return true;
}

function shop_introduction_name($description_id, $language_id = null) {
  if (!$language_id) {
	global $languages_id;
  } else {
	$languages_id = $language_id;
  }
  $description = shop_db_query("select name from " . DB_PREFIX . "affiliates_description where affiliates_description_id = '$description_id' and language_id = '$languages_id'");
  $description_values = shop_db_fetch_array($description);

  return $description_values['name'];
}

function shop_introduction($description_id, $language_id = null) {
  if (!$language_id) {
	global $languages_id;
  } else {
	$languages_id = $language_id;
  }
  $description = shop_db_query("select introduction from " . DB_PREFIX . "affiliates_description where affiliates_description_id = '$description_id' and language_id = '$languages_id'");
  $description_values = shop_db_fetch_array($description);

  return $description_values['introduction'];
}

function shop_load_page($page = 'email.html') {
  $filename = 'templates/' . $page;
  $handle = fopen($filename, "r");
  $contents = fread($handle, filesize($filename));
  fclose($handle);
  return $contents;
}

function shop_mail($to_name, $to_email_address, $email_subject, $email_text, $from_email_name, $from_email_address, $template_page='email.html') {
  global $coupon_code, $coupon_title, $coupon_description, $coupon_expires;
  if (file_exists('templates/' . $template_page)) $template = shop_load_page($template_page);

  $mail_elements_array = array();
  $mail_elements_data_array = array();
  
  $mail_elements_array[] = '[coupon_code]';
  $mail_elements_array[] = '[coupon_title]';
  $mail_elements_array[] = '[coupon_description]';
  $mail_elements_array[] = '[coupon_expires]';
  $mail_elements_data_array[] = $coupon_code;
  $mail_elements_data_array[] = $coupon_title;
  $mail_elements_data_array[] = $coupon_description;
  $mail_elements_data_array[] = $coupon_expires;
  
  $mail_elements_array[] = '[message]';
  $mail_elements_array[] = '[shop_url]';
  $mail_elements_array[] = '[subject]';
  $mail_elements_data_array[] = nl2br($email_text);
  $mail_elements_data_array[] = (DIR_WS_CATALOG ? DIR_WS_CATALOG : shop_href_link(''));
  $mail_elements_data_array[] = $email_subject;
  
  $mail_elements_array[] = '[logo]';
  $mail_elements_data_array[] = shop_image('images/interface_elements/' . STORE_LOGO, STORE_NAME);
  
  $email_html = str_replace($mail_elements_array,$mail_elements_data_array,$template);

  require('contents/eshox_os/email.php');
  $message = new Email();
  if (MAIL_FORMAT == 'Both') {
	$message->add_html($email_html, utf_htmlentities_decode(strip_tags($email_html)));
  } elseif (MAIL_FORMAT == 'HTML') {
	$message->add_html($email_html);
  } else {
	$message->add_text(utf_htmlentities_decode(strip_tags($email_text)));
  }
  $message->build_message();
  $headers = '';
  for ($i=0; $i<sizeof($message->headers); $i++) $headers .= $message->headers[$i] . UNIX_RETURN;
  $message->sendmail($to_name, $to_email_address, $from_email_name, $from_email_address, utf_htmlentities_decode($email_subject), $headers);
}

function shop_move_uploaded_file($file1, $file2) {
	if (strtolower(substr($file2,-3,3)) != 'php') {
		if (!(move_uploaded_file($file1, $file2))) {
			if (!(file_exists($file1))) {
				trigger_error('Could not find uploaded file ' . $file1 . '. Please check that the filesize does not exceed PHP limits.', E_ERROR);
			} else {
				trigger_error('Could not write the file "' . $file2 . '." Please check the permissions on the file and containing folder.', E_ERROR);
			}
		}
	} else {
		trigger_error('Can\'t make this type of file.', E_ERROR);
	}
}


function shop_printer_list($default, $key = '', $title, $description) {
  $string = '';
  if ($title) $string .= '<b>' . $title . '</b><br />';
  if ($description) $string .= $description . '<p>';
  $string .= '<SCRIPT LANGUAGE="JavaScript"><!--
  function printerForm(form) {
	printer_list = form.printer_list.options[form.printer_list.selectedIndex].value;
	if (printer_list == "textbox") {
	  form.textbox.disabled = false;
	  if (form.textbox.value == "" || form.textbox.value == "' . JS_STATE_SELECT . '") { form.textbox.value = "' . $default . '"; }
	  form[\'configuration[' . $key . ']\'].value = form.textbox.value;
	} else {
	  form.textbox.disabled = true;
	  form.textbox.value = "' . JS_STATE_SELECT . '";
	  form[\'configuration[' . $key . ']\'].value = printer_list;
	}
  }
  //--></SCRIPT>';
  exec('lpstat -d -a', $printers);
  $string .= '<b>Local Rendezvous Printer:</b><br /><select name="printer_list" onchange="printerForm(this.form);">';
  
  if (sizeof($printers) > 1 || $default != 'none') {
	$string .= "<option value='none'" . (($default == 'none') ? ' SELECTED' : '') . ">Disable Printing</option>";
  } elseif (sizeof($printers) > 1) {
	$string .= "<option value='none'>No Printer Selected</option>";
  } else {
	$string .= "<option value='none'>No Printer Available</option>";
  }
  
  $selected = false;
  foreach ($printers as $printer) {
	$curr_printer = null;
	if (!$default && ereg('(.*)destination: (.*)',$printer)) $default = ereg_replace('(.*)destination: (.*)','\2',$printer);
	if (ereg('(.*) accepting(.*)',$printer)) $curr_printer = ereg_replace('(.*) accepting(.*)','\1',$printer);
	if ($curr_printer) {
	  $string .= '<option value="' . $curr_printer . '"';
	  if ($curr_printer == $default) {
		$string .= ' SELECTED';
		$selected = true;
	  }
	  $string .= '>' . str_replace('_','',$curr_printer) . '</option>';
	}
  }
  $string .= '<option value="textbox"' . ((!$selected && $default != 'none') ? ' SELECTED' : '') . '>Other...</option>';
  $string .= '</select><br />' . shop_draw_input_field("textbox",((!$selected && $default != 'none') ? $default : JS_STATE_SELECT),'style="font-size:10px;width:98%;" onchange="printerForm(this.form);"' . (($selected || $default == 'none') ? 'DISABLED' : ''));
  $string .= shop_draw_hidden_field("configuration[$key]", $default);
  return $string;
}
