<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

define('HEADING_TITLE', 'Monthly Tax Report');
define('TABLE_HEADING_DATE', 'Months');
define('GRAPHTYPE', 'linegraph');

$headers = array(0 => array('align' => 'left', 'text' => TABLE_HEADING_DATE, 'bg' => 'column'),
				 1 => array('align' => 'center', 'text' => TABLE_HEADING_COLLECTED, 'bg' => 'col_selected'));
				
$columns = array(0 => array('align' => 'left', 'text' => 'name'),
				 1 => array('align' => 'right', 'text' => 'total', 'function' => '$currencies->format('));
				
$footers = array(0 => array('align' => 'left', 'text' => 'Total'),
				 1 => array('align' => 'right', 'text' => '0', 'function' => '$currencies->format('));

$from = " from " . DB_PREFIX . "orders o, " . DB_PREFIX . "orders_total ot";
$where = " where ot.orders_id = o.orders_id and o.orders_status != 5 and ot.class='ot_tax'" .
		 " and o.date_purchased >= '" . date(DATE_FORMAT_START, ULAST_YEAR) . "'";

$total = shop_db_fetch_array(shop_db_query("select sum(ot.value) as total" . $from . $where . ' limit 1'));

$select = "select date_format(o.date_purchased, '%M %Y') as name," .
		  "date_format(o.date_purchased, '%b') as short_name, sum(ot.value) as total," .
		  "sum(round((ot.value / " . $total['total'] . ") * 100)) as percentage";
$group = " group by MONTH(o.date_purchased), YEAR(o.date_purchased) order by o.date_purchased desc";
$query = $select . $from . $where . $group;

list($stats, $data) = shop_simple_date_graph($headers, $columns, $footers, $query, 2);