<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Email Coupon');

define('TEXT_CUSTOMER', 'To:');
define('TEXT_STORE', 'From:');
define('TEXT_SUBJECT', 'Subject:');
define('TEXT_SELECT_CUSTOMER', 'Select Customer');
define('TEXT_ALL_CUSTOMERS', 'All Customers');

global $coupon_code, $coupon_title, $coupon_description, $coupon_expires;
$coupons = shop_db_fetch_array(shop_db_query("select * from " . DB_PREFIX . "coupons where coupons_id = '" . $_GET['cID'] . "'"));
$coupon_code = $coupons['coupons_code'];

$currencies = new currencies;

switch ($coupons['coupon_type']) {
  case '1':
	$coupon_title = ((strstr($coupons['amount'], '%')) ? $coupons['amount'] : $currencies->format($coupons['amount'])) . ' off';
	$coupon_description = '"' . shop_get_products_name($coupons['products_id'], $languages_id) . '"';
	break;
  case '2':
	$coupon_title = ((strstr($coupons['amount'], '%')) ? $coupons['amount'] : $currencies->format($coupons['amount'])) . ' off';
	$coupon_description = 'products in "' . shop_get_category_name($coupons['categories_id'], $languages_id) . '"';
	break;
  case '3':
	$coupon_title = ((strstr($coupons['amount'], '%')) ? $coupons['amount'] : $currencies->format($coupons['amount'])) . ' off';
	$coupon_description = '"' . shop_get_manufacturer_name($coupons['manufacturers_id']) . '" products';
	break;
  case '4':
	$coupon_title = ((strstr($coupons['amount'], '%')) ? $coupons['amount'] : $currencies->format($coupons['amount'])) . ' off';
	$coupon_description = 'order total';
	break;
  case '5':
	$coupon_title = 'Free shipping';
	$coupon_description = '';
	break;
}
if ($coupons['over_amount'] > 0) $coupon_description .= ' on order' . (($coupons['max_usage'] < 1) ? '(s)' : '') .  ' over ' . $currencies->format($coupons['over_amount']);
if ($coupons['expires_date'] > 0) $coupon_expires .= 'Valid until ' . shop_date_short($coupons['expires_date']);

define('NOTICE_EMAIL_SENT_TO', 'Notice: Email sent to: %s');
define('ERROR_NO_CUSTOMER_SELECTED', 'Error: No customer has been selected.');

  if ( ($_GET['action'] == 'send_coupon_to_user') && ($_POST['customers_email_address']) && (!$_POST['back_x']) ) {
	switch ($_POST['customers_email_address']) {
	  case '***':
	    $mail_query = shop_db_query("select customers_firstname, customers_lastname, customers_email_address from " . DB_PREFIX . "customers where customers_email_address_flag = '1'");
	    $mail_sent_to = TEXT_ALL_CUSTOMERS;
	    break;
	  default:
	    $customers_email_address = ($_POST['customers_email_address']);

	    $mail_sent_to = $_POST['customers_email_address'];
	    $mail_query = shop_db_query("select customers_firstname, customers_lastname, customers_email_address from " . DB_PREFIX . "customers where customers_email_address = '" . ($customers_email_address) . "'");
	    break;
	}
	$subject = ($_POST['subject']);
	while ($mail = shop_db_fetch_array($mail_query)) {
	  shop_mail($mail['customers_firstname'] . ' ' . $mail['customers_lastname'], $mail['customers_email_address'], stripslashes($subject), '', '', $_POST['store_address'], 'coupon.html');
	}
	?>
<html dir="ltr" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript">
alert('Message Sent');
window.close();
</script>
</html>
	<?php
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- body //-->
<table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="100%" align=center valign=top>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	 <tr>
	  <td>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="javascript:window.close();"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	 </td>
	</tr>
	   <tr>
		<td height="1"><img src="images/win_div.gif" width="100%" height="1"></td>
	   </tr>
<?php
  if ( ($_GET['action'] == 'preview') && ($_POST['customers_email_address']) ) {
	switch ($_POST['customers_email_address']) {
	  case '***':
	    $mail_sent_to = TEXT_ALL_CUSTOMERS;
	    break;
	  default:
	    $mail_sent_to = $_POST['customers_email_address'];
	    break;
	}
?>
	      <tr><?php echo shop_draw_form('mail', FILENAME_COUPONS_MAIL, 'action=send_coupon_to_user&cID=' . $_GET['cID']); ?>
	        <td><table border="0" width="100%" cellpadding="0" cellspacing="2" bgcolor="ffffff">
	          <tr>
	            <td><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td class="smallText"> &nbsp; <b><?php echo TEXT_CUSTOMER; ?></b></td>
	            <td class="smallText"><?php echo $mail_sent_to; ?></td>
	          </tr>
	          <tr>
	            <td class="smallText"> &nbsp; <b><?php echo TEXT_STORE; ?></b></td>
	            <td class="smallText"><?php echo  $_POST['store_address']; ?></td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td class="smallText"> &nbsp; <b><?php echo TEXT_SUBJECT; ?></b></td>
	            <td class="smallText"><?php echo ($_POST['subject']); ?></td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td colspan="2">
<?php
/* Re-Post all POST'ed variables */
	foreach ($_POST as $key => $value) {
	  if (!is_array($_POST[$key])) {
	    echo shop_draw_hidden_field($key, $value);
	  }
	}
?>
	            <table border="0" width="100%" cellpadding="0" cellspacing="2">
	              <tr>
	                <td> &nbsp; <?php echo shop_image_submit('button_back.gif', IMAGE_BACK, 'name="back"'); ?></td>
	                <td align="right"><?php echo '<a href="' . shop_href_link(FILENAME_COUPONS_MAIL) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a> ' . shop_image_submit('button_send.gif', IMAGE_send_coupon); ?> &nbsp; </td>
	              </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '4'); ?></td>
	          </tr>
	            </table></td>
	          </tr>
	        </table></td>
	      </tr></form>
<?php
  } else {
?>
	      <tr><?php echo shop_draw_form('mail', FILENAME_COUPONS_MAIL, 'action=preview&cID=' . $_GET['cID']); ?>
	        <td><table width="100%" border="0" cellpadding="0" cellspacing="2" bgcolor="ffffff">
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
<?php
	$customers = array();
	$customers[] = array('id' => '', 'text' => TEXT_SELECT_CUSTOMER);
	$customers[] = array('id' => '***', 'text' => TEXT_ALL_CUSTOMERS);
	$mail_query = shop_db_query("select customers_email_address, customers_firstname, customers_lastname from " . DB_PREFIX . "customers order by customers_lastname");
	while($customers_values = shop_db_fetch_array($mail_query)) {
	  $customers[] = array('id' => $customers_values['customers_email_address'],
	                       'text' => $customers_values['customers_lastname'] . ', ' . $customers_values['customers_firstname'] . ' (' . $customers_values['customers_email_address'] . ')');
	}
	$affiliates_list = array();
	$affiliates_query = shop_db_query("select name, email from " . DB_PREFIX . "affiliates");
	while($affiliates_values = shop_db_fetch_array($affiliates_query)) {
	  $affiliates_list[] = array('id' => $affiliates_values['email'], 'text' => $affiliates_values['name'] . ' (' . $affiliates_values['email'] . ')');
	}
	$GLOBALS['subject'] = (($_POST['subject']) ? utf_htmlentities(($_POST['subject'])) : utf_htmlentities((STORE_NAME . ' - ' . $coupon_title . ' ' . $coupon_description)));
?>
	          <tr>
	            <td class="smallText" align="right"> &nbsp; <?php echo TEXT_CUSTOMER; ?></td>
	            <td><?php echo shop_draw_pull_down_menu('customers_email_address', $customers, $_GET['customer']);?></td>
	          </tr>
	          <tr>
	            <td class="smallText" align="right"> &nbsp; <?php echo TEXT_STORE; ?></td>
	            <td><?php echo shop_draw_pull_down_menu('store_address', $affiliates_list, $_GET['store_address']);?></td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td class="smallText" align="right"> &nbsp; <?php echo TEXT_SUBJECT; ?></td>
	            <td><?php echo shop_draw_input_field('subject', '', "size=60"); ?></td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '10'); ?></td>
	          </tr>
	          <tr>
	            <td colspan="2" align="right"><?php echo shop_image_submit('button_send.gif', IMAGE_send_coupon); ?> &nbsp; </td>
	          </tr>
	          <tr>
	            <td colspan="2"><?php echo shop_draw_separator('pixel_trans.gif', '1', '4'); ?></td>
	          </tr>
	        </table></td>
	      </form></tr>
<?php
  }
?>
<!-- body_text_eof //-->
	    </table></td>
	  </tr>
	</table></td>
  </tr>
</table>
<!-- body_eof //-->

<br />
</body>
</html>
