<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

require('contents/resources.php');

define('HEADING_TITLE', 'File Finder');
define('ERROR_NO_FILES', 'No files found in directory.');

$myuid = getmyuid();
$mygid = getmygid();

if ($_POST['action']) {
	switch ($_POST['action']) {
		case 'rename':
			if (!(substr($_POST['to'],-4,4) == '.php')) {
				rename((".." . $_GET['path'] . '/' . $_POST['rename']), ("../" . $_GET['path'] . '/' . $_POST['to']));
				shop_redirect(MYSELF . '?selected=' . $_POST['to'] . '&path=' . $_GET['path']);
			} else {
				trigger_error('Can\'t rename this type of file.', E_ERROR);
			}
			break;
		case 'upload':
			if (!(substr($_FILES['upload']['name'],-4,4) == '.php')) {
				shop_move_uploaded_file($_FILES['upload']['tmp_name'], "../" . $_GET['path'] . '/' . $_FILES['upload']['name']);
				chmod(".." . $_GET['path'] . '/' . $_FILES['upload']['name'], 0777);
				shop_redirect(MYSELF . '?selected=' . $_FILES['upload']['name'] . '&path=' . $_GET['path']);
			} else {
				trigger_error('Can\'t create this type of file.', E_ERROR);
			}
			break;
	}
}
if ($_GET['action'] == 'delete') {
	if (!(substr($_GET['delete'],-4,4) == '.php')) {
		$resource = ".." . $_GET['path'] . '/' . $_GET['delete'];
		if (is_dir($resource)) {
			if (!rmdir($resource)) {
				trigger_error('Directory is not empty.', E_ERROR);
			}
		} else {
			unlink($resource);
		}
		shop_redirect(MYSELF . '?path=' . $_GET['path']);
	} else {
		trigger_error('Can\'t delete this type of file.', E_ERROR);
	}
} elseif ($_GET['action'] == 'new') {
	if (!is_dir(".." . $_GET['path'] . '/untitled folder')) {
		mkdir(".." . $_GET['path'] . '/untitled folder', 0777);
		chmod(".." . $_GET['path'] . '/untitled folder', 0777);
		shop_redirect(MYSELF . '?edit=untitled%20folder&path=' . $_GET['path']);
	} else {
		for ($x=1; $x < 99; $x++) {
			if (!is_dir(".." . $_GET['path'] . '/untitled folder ' . $x)) {
				mkdir(".." . $_GET['path'] . '/untitled folder ' . $x, 0777);
				chmod(".." . $_GET['path'] . '/untitled folder ' . $x, 0777);
				shop_redirect(MYSELF . '?edit=untitled%20folder%20' . $x . '&path=' . $_GET['path']);
				break;
			}
		}
	}
} elseif ($_GET['action'] == 'download') {
	if (!(substr($_GET['selected'],-4,4) == '.php')) {
		$file = ".." . $_GET['path'] . '/' . $_GET['selected'];
		header("Content-Type: Application/txt");
		header("Content-disposition: attachment; filename=" . $_GET['selected']);
		header("Content-length: " . sizeof($file));
		$handle = fopen ($file, "r");
		while(!feof($handle)) { 
			echo fread($handle, 32768); 
			flush(); 
		} 
		fclose ($handle);
		die;
	} else {
		trigger_error('Can\'t read this type of file.', E_ERROR);
	}
	break;
}

header('Pragma: no-cache');
header("Cache-Control: no-store, no-cache, must-revalidate");
header("Cache-Control: post-check=0, pre-check=0", false);
?>
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="javascript"><!--
 
function confirm_delete(thefile) {
	if (confirm('Are you sure you want to delete "' + thefile + '"?')) {
		document.location.href="<?php echo MYSELF . '?path=' . $_GET['path'] . '&action=delete&delete=' . $_GET['selected']; ?>";
	} else {
		return false;
	}
}

//--></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- body //-->
<table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
	<tr>
		<td width="100%" align=center valign=top>
			<table width="100%" border="0" cellpadding="0" cellspacing="0">
				 <tr>
					<td>
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
							<tr>
								<td><img src="images/win_header_left.gif" width="8" height="22"></td>
								<td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="javascript:window.close();"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
								<td class="windowHeading" align="CENTER" valign="CENTER" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
								<td width="34" background="images/win_header_bg.gif"></td>
								<td><img src="images/win_header_right.gif" width="8" height="22"></td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="1"><img src="images/win_div.gif" width="100%" height="1"></td>
				</tr>
				<tr>
					<td height="28" bgcolor="f0f0f0">
						<table border="0" cellpadding=0 cellspacing=0 width="100%">
							<tr>
								<td class="dataTableContent" valign="center">
									&nbsp; <b>Path:</b> &nbsp; 
								</td>
								<?php echo shop_draw_form('catalog_tree', MYSELF); ?>
								<td valign="center">
									<select name="path" onchange="this.form.submit()" style="width:200px">
									<?php
									$get_path = str_replace('//','/', $_GET['path']);
										if ($_GET['path'] && !($get_path == "/")) {
											$path_array = explode('/', $get_path);
											$dir_path = '';
											while(list(,$dir) = each ($path_array)) {
												$num++;
												echo '<option';
												if (($dir_path . $dir) == $get_path) echo ' SELECTED';
												echo '>';
												if ($dir) {
													echo $dir_path . $dir;
												} else {
													echo "/";
												}
												echo "</option>";
												$dir_path .= $dir . '/';
											}
										} else {
											echo "<option>/</option>";
										}
									?>
									</select>
								</td>
								</form>
								<?php echo shop_draw_form('upload', MYSELF, '?path=' . $_GET['path'], 'post', 'enctype="multipart/form-data"'); ?>
								<input type="hidden" name="action" value="upload">
								<td width="1"><img src="images/win_div.gif" width="1" height="28" align="center" hspace=8></td>
								<td class="dataTableContent" valign="center"><b>Upload file: </b> &nbsp;
								<td valign="center"><?php echo shop_draw_file_field('upload', '/Max. ' . ini_get('post_max_size') . 'b', 'size=12'); ?> &nbsp; </td>
								<td valign="center" align="right"><?php echo shop_image_submit('button_send.gif'); ?></td>
								<td width="10" align="right"><img src="images/win_div.gif" width="1" height="28" align="center" hspace=2></td>
								<td width="32" align="center"><a href="<?php echo MYSELF . '?path=' . $_GET['path']; ?>&action=new"><img src="images/icons/new_folder.gif" border="0" alt="New Folder" width="24" height="24" align="center"></a></td>
								</form>
								</td>
							</tr>
						</table>
					</td>
				</tr>
				<tr>
					<td height="1"><img src="images/win_div.gif" width="100%" height="1"></td>
				</tr>
				<tr>
					<td height="1" bgcolor="ffffff"><img src="images/pixel_trans.gif" width="624" height="1"></td>
				</tr>
				<tr>
					<td bgcolor="ffffff">
						<table width="100%" border="0" cellpadding="0" cellspacing="0">
						<?php
						$files = array();
						$directory = ".." . $get_path;
						if ($dir = @dir($directory)) {
							while ($file = $dir->read()) {
								if (!(substr($file,0,1) == '.' || substr($file,-4,4) == '.php' || $file == 'help' || $file == 'setup' || $file == 'fonts' || $file == 'contents')) {
									$path = $directory . "/" . $file;
									$info = array('href' => $file, 
												  'url' => $get_path . '/' . $file,
												  'created' => date('r', filectime($path)), 
												  'modified' => date('r', filemtime($path)));
									if (is_dir($path) || is_link($path)) {
										$info['contentlength'] = 0;
										$info['contenttype'] = "httpd/unix-directory";
										$info['isdirectory'] = true;
									} else {
										$info['contentlength'] = filesize($path);
										if ($size = getimagesize($path)) {
											$info['contenttype'] = 'image';
										} else {
											$info['contenttype'] = 'text';
										}
										$info['isdirectory'] = false;
									}
									$info['perms'] = fileperms($path);
									$info['owner'] = fileowner($path);
									$info['group'] = filegroup($path);
									$files[] = $info;
								}
							}
						}
						if (sizeof($files) < 1) {
							echo '							<TR>' . UNIX_RETURN;
							echo '								<TD height="40" class="dataTableContent" align="center"><b>' . ERROR_NO_FILES . '</b></TD>' . UNIX_RETURN;
							echo '							</TR>' . UNIX_RETURN;
						} else {
							foreach($files as $file) {
								if ($file['isdirectory']) {
									if ($file['href'] == $_GET['selected']) {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . $file['url']) . '\'"';
										if ($myuid == $file['owner'] || ($file['perms'] & 0x0002 || $mygid == $file['group'] && $file['perms'] & 0x0010)) {
											$link2 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&edit=' . basename($file['url'])) . '\'"';
										} else {
											$link2 = $link1;
										}
									} elseif ($file['href'] == $_GET['edit']) {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&selected=' . basename($file['url'])) . '\'"';
										$link2 = '';
									} else {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&selected=' . basename($file['url'])) . '\'"';
										$link2 = $link1;
									}
								} else {
									if ($file['href'] == $_GET['selected']) {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&selected=' . basename($file['url']) . '&action=download') . '\'"';
										if ($myuid == $file['owner'] || ($file['perms'] & 0x0002 || $mygid == $file['group'] && $file['perms'] & 0x0010)) {
											$link2 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&edit=' . basename($file['url'])) . '\'"';
										} else {
											$link2 = $link1;
										}
									} elseif ($file['href'] == $_GET['edit']) {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&selected=' . basename($file['url'])) . '\'"';
										$link2 = '';
									} else {
										$link1 = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_FINDER, 'path=' . dirname($file['url']) . '&selected=' . basename($file['url'])) . '\'"';
										$link2 = $link1;
									}
								}
								echo '							<TR onmouseover="this.style.cursor=\'pointer\'"';
								if ($file['href'] == $_GET['selected'] || $file['href'] == $_GET['edit']) {
									echo 'bgcolor="f0f0f0"';
								}
								echo '>' . UNIX_RETURN;
								if ($file['isdirectory']) {
									echo '								<TD width="20" ' . $link1 . ' height="20" class="dataTableContent">';
									echo shop_image(DIR_WS_ICONS . 'folder.gif', ICON_FOLDER, 16, 16, 'hspace="4"') . '</TD>' . UNIX_RETURN;
								} elseif($file['contenttype'] == 'image') {
									echo '								<TD width="20" ' . $link1 . ' height="20" class="dataTableContent">';
									echo shop_image(DIR_WS_ICONS . 'image.gif', ICON_FOLDER, 16, 16, 'hspace="4"') . '</TD>' . UNIX_RETURN;
								} else {
									echo '								<TD width="20" ' . $link1 . ' height="20" class="dataTableContent">';
									echo shop_image(DIR_WS_ICONS . 'preview.gif', ICON_FOLDER, 16, 16, 'hspace="4"') . '</TD>' . UNIX_RETURN;
								}
								echo '								<TD width="200" ' . $link2 . ' class="dataTableContent">';
								if ($file['href'] == $_GET['edit'] && ($file['perms'] & 0x0002 || $myuid == $file['owner'] || ($mygid == $file['group'] && $file['perms'] & 0x0010))) {
									echo shop_draw_form('rename', MYSELF, '?path=' . $_GET['path']) . UNIX_RETURN;
									echo shop_draw_hidden_field('action', 'rename');
									echo shop_draw_hidden_field('rename', $_GET['edit']);
									echo shop_draw_input_field('to', $_GET['edit'], 'onchange="this.form.submit()"');
									echo '</form>';
								} else {
									echo $file['href'];
								}
								echo '</TD>' . UNIX_RETURN;
								echo '								<TD width="90" ' . $link1 . ' class="dataTableContent" align="right">';
								if ($file['contentlength']) {
									echo number_format(($file['contentlength'] / 1024), 1) . 'K';
								} else {
									echo '-';
								}
								echo '&nbsp; </TD>' . UNIX_RETURN;
								echo '								<TD width="90" ' . $link1 . ' class="dataTableContent"> &nbsp; ';
								if ($file['perms']) {
									echo (($file['perms'] & 0x0100) ? 'r' : '&#45;');
									echo (($file['perms'] & 0x0080) ? 'w' : '&#45;');
									echo (($file['perms'] & 0x0040) ? 'x' : '&#45;');
									
									echo (($file['perms'] & 0x0020) ? 'r' : '&#45;');
									echo (($file['perms'] & 0x0010) ? 'w' : '&#45;');
									echo (($file['perms'] & 0x0008) ? 'x' : '&#45;');
									
									echo (($file['perms'] & 0x0004) ? 'r' : '&#45;');
									echo (($file['perms'] & 0x0002) ? 'w' : '&#45;');
									echo (($file['perms'] & 0x0001) ? 'x' : '&#45;');
								}
								echo '</TD>' . UNIX_RETURN;
								echo '								<TD width="280" align="right" class="dataTableContent">';
								if ($file['href'] == $_GET['selected'] && ($file['perms'] & 0x0002 || $myuid == $file['owner'] || ($mygid == $file['group'] && $file['perms'] & 0x0010))) {
									echo '<a onclick="confirm_delete(\'' . $_GET['selected'] . '\');">';
									echo shop_image(DIR_WS_ICONS . 'trash.gif', ICON_PREVIEW, 14, 14, 'hspace="8"');
									echo '</a>';
								} else {
									echo shop_image(DIR_WS_IMAGES . 'pixel_trans.gif', '', 14, 14, 'hspace="8"');
								}
								echo '</TD>' . UNIX_RETURN;
								echo '							</TR>' . UNIX_RETURN;
							}
						}
						?>
						</table>
					</td>
				</tr>
				<tr>
					<td height="1" bgcolor="ffffff"><img src="images/pixel_trans.gif" width="624" height="1"></td>
				</tr>
				<tr>
					<td height="1"><img src="images/win_div.gif" width="100%" height="1"></td>
				</tr>
				<tr>
				 	<td>
						<table width="100%" border="0" cellpadding=0 cellspacing=0 background="images/base_bg.gif">
							<tr>
								<td>
						<?php
						include('contents/footer.php');
						?>
								</td>
							</tr>
						</table>
					</td>
				</tr>
			</table>
		</td>
	</tr>
<!-- body_text_eof //-->
</table>
<!-- body_eof //-->

<br />
</body>
</html>
