<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=manufacturers.php">Manufacturers</a>; <a href="help.php?page=products_attributes.php">Product options</a>; <a href="help.php?page=portal.php">Importing and exporting</a>...';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Categories, subcategories and Products</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Products & Categories" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Products & Categories" under "Catalog Setup" on the left "Administration" window. Categories and products may be enabled and disabled with the red and green buttons in the categories and products list. Categories and products may be re-sorted by using the up and down arrows.

<blockquote>

<p><u>Categories and Subcategories</u>
<p align="justify">Categories are used to separate products by type or other criteria. Categories work similarly to folders or directories in an operating system; products work similarly to files. To create a category: click "New Category", enter the category name for each language currently defined in the "Languages" section of eShox Admin, select the category image file (optional) and click "Save".

<p align="justify">To delete a category: select the category and click "Delete". If they category being deleted contains products, those products will be deleted as well. To modify a category: select the category, click "Edit", make any necessary changes and click "Save".

<p align="justify">Subategories are functionally identical to categories. To create a subcategory: select the category within which the subcategory will be placed, click a second time to open that category, click "New Category" and follow the above directions to create a category.

<p align="justify">When creating a category, switching languages will submit the current language and create the category (inactive, a "draft"). Once the category is finalized, it will be activated automatically. Clicking 'cancel' during category creation will leave the category inactive.

<p><u>Products</u>
<p align="justify">Products may be placed in the "top" category to be shown on the store index page, or they may be placed within a category or subcategory. Before creating a product, first navigate to the category or sub-category to which the new product should be added.

<p align="justify">To create a product: click "New Product", enter the product name, URL (optional) and description for each language currently defined in the "Languages" section of eShox Admin, enter the SKU and Model information for the new product (optional) and choose the product image file and thumbnail image file (optional). Select the manufacturer from the list of currently defined manufacturers, enter the quantity of stock (units) available for the product, the date this product will be available for purchase, the weight of the product (used in calculating shipping rates). Select the tax class from the list of currently defined tax classes. Enter the price and cost of the product (the cost is used to calculate profit margins).

<p align="justify"><u>Multi-level-pricing</u>
<p align="justify">Multiple price points may be entered into the price and cost of a product. The format of multiple level pricing is "quantity:price;". For example:<p> &nbsp; &nbsp; &nbsp; 1:50.00;2:45.00;5:44.00;10:40.00;50:38.75

<p align="justify">To delete a product: select the product and click "Delete". To modify a product: select the product, click "Edit", make any necessary changes and click "Update".

<p align="justify">When creating a product, switching languages will submit the current language and create the product (inactive, a "draft"). Once the product is finalized, it will be activated automatically. Clicking 'cancel' during product creation will leave the product inactive.

<p><table border="0" cellpadding="4" cellspacing="0">
  <tr>
	<td bgcolor="FFC0C0" valign="center" align="left">
	  <p align="justify"><b>Tip:</b> You may enter HTML code in the product description fields, for example: you may use HTML to format the text displayed or to display additional product images.
	</td>
  </tr>
</table>

</blockquote>

</blockquote>

</tr>
</table>