<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Manufacturers');

define('TABLE_HEADING_MANUFACTURERS', 'Manufacturers');

define('TEXT_HEADING_NEW_MANUFACTURER', 'New Manufacturer');
define('TEXT_HEADING_EDIT_MANUFACTURER', 'Edit Manufacturer');
define('TEXT_HEADING_DELETE_MANUFACTURER', 'Delete Manufacturer');

define('TEXT_MANUFACTURERS', 'Manufacturers:');
define('TEXT_DATE_ADDED', 'Date Added:');
define('TEXT_LAST_MODIFIED', 'Last Modified:');
define('TEXT_PRODUCTS', 'Products:');

define('TEXT_NEW_INTRO', 'Please fill out the following information for the new manufacturer');
define('TEXT_EDIT_INTRO', 'Please make any necessary changes');

define('TEXT_MANUFACTURERS_NAME', 'Manufacturers Name');
define('TEXT_MANUFACTURERS_EMAIL', 'Manufacturers Email Address');
define('TEXT_MANUFACTURERS_PASSWORD', 'Manufacturers Login Password');
define('TEXT_MANUFACTURERS_IMAGE', 'Manufacturers Image');
define('TEXT_MANUFACTURERS_URL', 'Manufacturers URL');

define('TEXT_DELETE_INTRO', 'Are you sure you want to delete this manufacturer?');
define('TEXT_DELETE_IMAGE', 'Delete manufacturers image?');
define('TEXT_DELETE_PRODUCTS', 'Delete products from this manufacturer?');
define('TEXT_DELETE_WARNING_PRODUCTS', '<b>WARNING:</b> There are %s products still linked to this manufacturer!');

  switch ($_GET['action']) {
	case 'insert':
	case 'save':
	  $manufacturers_id = ($_GET['mID']);
	  $manufacturers_name = ($_POST['manufacturers_name']);
	  $manufacturers_email = ($_POST['manufacturers_email']);
	  $manufacturers_url = ($_POST['manufacturers_url']);
	  if ($_POST['manufacturers_password']) {
	    $manufacturers_password = (crypt($_POST['manufacturers_password'], 'fgshdfgshasdg'));
	    $sql_data_array = array('manufacturers_email' => $manufacturers_email, 'manufacturers_name' => $manufacturers_name, 'manufacturers_password' => $manufacturers_password, 'manufacturers_url' => $manufacturers_url);
	  } else {
	    $sql_data_array = array('manufacturers_email' => $manufacturers_email, 'manufacturers_name' => $manufacturers_name, 'manufacturers_password' => '', 'manufacturers_url' => $manufacturers_url);
	  }

	  if ($_GET['action'] == 'insert') {
	    $insert_sql_data = array('date_added' => 'now()');
	    $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
	    $manufacturers_id = shop_db_perform('manufacturers', $sql_data_array);
	  } elseif ($_GET['action'] == 'save') {
	    $update_sql_data = array('last_modified' => 'now()');
	    $sql_data_array = array_merge($sql_data_array, $update_sql_data);
	    shop_db_perform('manufacturers', $sql_data_array, 'update', "manufacturers_id = '" . ($manufacturers_id) . "'");
	  }

	  if ($_FILES['manufacturers_image']['name']) {
	    shop_db_query("update " . DB_PREFIX . "manufacturers set manufacturers_image = '" . $_FILES['manufacturers_image']['name'] . "' where manufacturers_id = '" . ($manufacturers_id) . "'");
	    $image_location = DIR_FS_CATALOG_ELEMENTS . $_FILES['manufacturers_image']['name'];
	    if (file_exists($image_location)) @unlink($image_location);
	    shop_move_uploaded_file($_FILES['manufacturers_image']['tmp_name'], $image_location);
	  }
	  
	  shop_redirect(shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $manufacturers_id));
	  break;
	case 'deleteconfirm':
	  $manufacturers_id = ($_GET['mID']);

	  if ($_POST['delete_image'] == 'on') {
	    $manufacturer_query = shop_db_query("select manufacturers_image from " . DB_PREFIX . "manufacturers where manufacturers_id = '" . ($manufacturers_id) . "'");
	    $manufacturer = shop_db_fetch_array($manufacturer_query);
	    $image_location = DIR_FS_CATALOG_ELEMENTS . $manufacturer['manufacturers_image'];
	    if (file_exists($image_location)) @unlink($image_location);
	  }

	  shop_db_query("delete from " . DB_PREFIX . "manufacturers where manufacturers_id = '" . ($manufacturers_id) . "'");

	  if ($_POST['delete_products'] == 'on') {
	    $products_query = shop_db_query("select products_id from " . DB_PREFIX . "products where manufacturers_id = '" . ($manufacturers_id) . "'");
	    while ($products = shop_db_fetch_array($products_query)) {
	      shop_remove_product($products['products_id']);
	    }
	  } else {
	    shop_db_query("update " . DB_PREFIX . "products set manufacturers_id = '' where manufacturers_id = '" . ($manufacturers_id) . "'");
	  }

	  shop_redirect(shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page']));
	  break;
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table><table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <tr>
	        <td><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
	        <td width="6" align="left" valign="center" background="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <td width="14" align="left" valign="center" background="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><img src="images/max.gif" width="13" height="14" border="0"></a></td>
	        <td class="windowHeading" align="center" valign="center" height="22" width="100%" background="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></td>
	        <td width="34" background="images/win_header_bg.gif"></td>
	        <td><img src="images/win_header_right.gif" width="8" height="22"></td>
	    </tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" background="images/win_header_column.gif">
		<table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_MANUFACTURERS; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
  $manufacturers_query_raw = "select manufacturers_id, manufacturers_name, manufacturers_email, manufacturers_image, manufacturers_password, manufacturers_url, date_added, last_modified from " . DB_PREFIX . "manufacturers order by manufacturers_name";
  $manufacturers_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $manufacturers_query_raw, $manufacturers_query_numrows);
  $manufacturers_query = shop_db_query($manufacturers_query_raw);
  while ($manufacturers = shop_db_fetch_array($manufacturers_query)) {
	if (((!$_GET['mID']) || (@$_GET['mID'] == $manufacturers['manufacturers_id'])) && (!$mInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $manufacturer_products_query = shop_db_query("select count(*) as products_count from " . DB_PREFIX . "products where manufacturers_id = '" . $manufacturers['manufacturers_id'] . "'");
	  $manufacturer_products = shop_db_fetch_array($manufacturer_products_query);

	  $mInfo_array = array_merge($manufacturers, $manufacturer_products);
	  $mInfo = new objectInfo($mInfo_array);
	}

	if ( (is_object($mInfo)) && ($manufacturers['manufacturers_id'] == $mInfo->manufacturers_id) ) {
	  echo '              <tr class="dataTableRowSelected">' . UNIX_RETURN;
	} else {
	  echo '              <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $manufacturers['manufacturers_id']) . '\'">' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" height="20"> &nbsp; <?php echo $manufacturers['manufacturers_name']; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($mInfo)) && ($manufacturers['manufacturers_id'] == $mInfo->manufacturers_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $manufacturers['manufacturers_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="2">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $manufacturers_split->display_count($manufacturers_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_MANUFACTURERS); ?></td>
	                  <td class="smallText" align="right"><?php echo $manufacturers_split->display_links($manufacturers_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
<?php
  if (!$_GET['action'] == 'new') {
?>
	          <tr>
	            <td align="right" colspan="2" class="smallText"><?php echo '<a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
<?php
  }
?>
	        </table>
	        </td>
<?php
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_HEADING_NEW_MANUFACTURER);

	  $contents = array('form' => shop_draw_form('manufacturers', FILENAME_MANUFACTURERS, 'action=insert', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_NEW_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_NAME . '<br />' . shop_draw_input_field('manufacturers_name'));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_EMAIL . '<br />' . shop_draw_input_field('manufacturers_email'));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_PASSWORD . '<br />' . shop_draw_password_field('manufacturers_password'));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_URL . '<br />' . shop_draw_input_field('manufacturers_url'));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_IMAGE . '<p>' . shop_draw_file_field('manufacturers_image', '', 'size="16"'));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $_GET['mID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_HEADING_EDIT_MANUFACTURER);

	  $contents = array('form' => shop_draw_form('manufacturers', FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id . '&action=save', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_EDIT_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_NAME . '<br />' . shop_draw_input_field('manufacturers_name', $mInfo->manufacturers_name));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_EMAIL . '<br />' . shop_draw_input_field('manufacturers_email', $mInfo->manufacturers_email));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_PASSWORD . '<br />' . shop_draw_password_field('manufacturers_password'));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_URL . '<br />' . shop_draw_input_field('manufacturers_url', $mInfo->manufacturers_url));
	  $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_IMAGE . '<p>' . shop_draw_file_field('manufacturers_image', ($mInfo->manufacturers_image) ? '/' . $mInfo->manufacturers_image : '', 'size="16"'));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_HEADING_DELETE_MANUFACTURER);

	  $contents = array('form' => shop_draw_form('manufacturers', FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id . '&action=deleteconfirm'));
	  $contents[] = array('text' => TEXT_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $mInfo->manufacturers_name);
	  $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('delete_image', '', true) . ' ' . TEXT_DELETE_IMAGE);

	  if ($mInfo->products_count > 0) {
	    $contents[] = array('text' => '<br />' . shop_draw_checkbox_field('delete_products') . ' ' . TEXT_DELETE_PRODUCTS);
	    $contents[] = array('text' => '<br />' . sprintf(TEXT_DELETE_WARNING_PRODUCTS, $mInfo->products_count));
	  }

	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($mInfo)) {
	    $heading[] = array('text' => $mInfo->manufacturers_name);

	    $contents[] = array('text' => TEXT_DATE_ADDED . ' ' . shop_date_short($mInfo->date_added));
	    if ($mInfo->last_modified) $contents[] = array('text' => TEXT_LAST_MODIFIED . ' ' . shop_date_short($mInfo->last_modified));
	    $contents[] = array('text' => '<br />' . TEXT_MANUFACTURERS_EMAIL . ': ' . $mInfo->manufacturers_email);
	    $contents[] = array('text' => TEXT_MANUFACTURERS_URL . ': ' . $mInfo->manufacturers_url);
	    $contents[] = array('text' => TEXT_PRODUCTS . ' ' . $mInfo->products_count);
	    $contents[] = array('align' => 'center', 'text' => shop_image_transparent('interface_elements/' . $mInfo->manufacturers_image, $mInfo->manufacturers_name));

	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_MANUFACTURERS, 'page=' . $_GET['page'] . '&mID=' . $mInfo->manufacturers_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="250" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	</table></td>
	</tr>
	<tr>
		<td background="images/win_div.gif" width="8" height="1"></td>
	</tr>
	<tr>
		<td align="left" valign="center" width="100%" height="17" background="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</td>
	</tr>
</table>
<!-- body_eof //-->
</body>
</html>
