<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/

  Copyright (c) 2003, Secure.cc, Inc.

*/

function shop_display_product_options(&$page, $page_product_options_array) {
  if (strpos($page,'[/product_options]')) {
	$option_loc = strpos($page,'[product_options]');
	$option_eloc = strpos($page,'[/product_options]');
	$option_element = substr($page, ($option_loc + 17), ($option_eloc - $option_loc-17));
	$options = '';
	while (list($number, $option) = each($page_product_options_array)) {
	  $options .= str_replace(array('[option_name]', '[option_value]'), array($option['option'], $option['value']), $option_element);
	}
	$page = substr_replace($page, $options, ($option_loc), ($option_eloc - $option_loc+18));
  } else {
	$page_product_options = '';
	while (list($number, $option) = each($page_product_options_array)) {
	  $page_product_options .= $option['option'] . $option['value'] . '<br />';
	}
	$page = str_replace('[product_options]',$page_product_options, $page);
  }
}

function shop_display_customer_options(&$page, $page_customer_options_array) {
  if (strpos($page,'[/customer_options]')) {
	$option_loc = strpos($page,'[customer_options]');
	$option_eloc = strpos($page,'[/customer_options]');
	$option_element = substr($page, ($option_loc + 18), ($option_eloc - $option_loc-18));
	$options = '';
	while (list($number, $option) = each($page_customer_options_array)) {
	  $options .= str_replace(array('[option_name]', '[option_value]'), array($option['option'], $option['value']), $option_element);
	}
	$page = substr_replace($page, $options, ($option_loc), ($option_eloc - $option_loc+19));
  } else {
	$page_customer_options = '';
	while (list($number, $option) = each($page_customer_options_array)) {
	  $page_customer_options .= $option['option'] . $option['value'] . '<br />';
	}
	$page = str_replace('[customer_options]',$page_customer_options, $page);
  }
}

# Start Product Info

if (strip_tags($product_info['products_description']) == $product_info['products_description']) {
  $product_info['products_description'] =  nl2br($product_info['products_description']);
}

$page_elements_array[] = '[product_description]';
$page_elements_data_array[] = $product_info['products_description'];
$page_elements_array[] = '[product_name]';
$page_elements_data_array[] = $product_info['products_name'];
$page_elements_array[] = '[product_model]';
$page_elements_data_array[] = $product_info['products_model'];
$page_elements_array[] = '[product_sku]';
$page_elements_data_array[] = $product_info['products_sku'];
$page_elements_array[] = '[product_manufacturer]';
$page_elements_data_array[] = shop_get_manufacturers_name($product_info['manufacturers_id']);
$products_min_qty = explode(':',$product_info['products_price']);
$products_min_qty = ((@$products_min_qty[1] > 0) ? $products_min_qty[0] : 1);
$page_elements_array[] = '[product_min_quantity]';
$page_elements_data_array[] = $products_min_qty;

if ($product_info['products_date_available'] > date('Y-m-d H:i:s')) {
  $page_elements_array[] = '[product_date_available]';
  $page_elements_data_array[] = sprintf(TEXT_DATE_AVAILABLE, shop_date_long($product_info['products_date_available']));
} else {
  $page_elements_array[] = '[product_date_available]';
  $page_elements_data_array[] = '';
}

if ($product_info['products_url']) {
  $page_elements_array[] = '[product_webpage_link]';
  $page_elements_data_array[] = sprintf(TEXT_MORE_INFORMATION, shop_href_link('index.php', 'action=url&goto=' . urlencode($product_info['products_url']), 'NONSSL'));
} else {
  $page_elements_array[] = '[product_webpage_link]';
  $page_elements_data_array[] = '';
}

if ($product_info['products_call_for_price'] == '1') {
	$page_product_price = '<span class="call_for_price">' . TEXT_CALL_FOR_PRICE . '</span>';
}
elseif ($product_info['specials_new_products_price']) {
  $page_product_price = '<s>' . $GLOBALS['currencies']->display_price($product_info['products_price'], $tax_rate) . '</s> &nbsp;';
  $page_product_price .= '<span class="productSpecialPrice">' . $GLOBALS['currencies']->display_price($product_info['specials_new_products_price'], $tax_rate) . '</span>';
} else {
  $page_product_price = $GLOBALS['currencies']->display_price($product_info['products_price'], $tax_rate);
}

$page_elements_array[] = '[product_price]';
$page_elements_data_array[] = $page_product_price;

# End Product Info

# Start Also Purchased Info

if (strpos($page, '[also_purchased]')) {
  $table_sql = "select $products_fields from " . DB_PREFIX . "orders_products opa, " . DB_PREFIX . "orders_products opb, " . DB_PREFIX . "orders o, " . DB_PREFIX . "products p, " . DB_PREFIX . "products_description pd where opa.products_id = '$products_id' and opa.orders_id = opb.orders_id and opb.products_id != '$products_id' and opb.products_id = p.products_id and pd.products_id = p.products_id and pd.language_id = '$languages_id' and opb.orders_id = o.orders_id and p.products_status = '1' group by p.products_id order by o.date_purchased desc limit 1";
  $orders_query = shop_db_query($table_sql);
  if (shop_db_num_rows($orders_query)) {
    shop_db_query("create temporary table if not exists product_info type=heap " . $table_sql);
    $also_purchased = '<table width="100%" border="0" cellpadding="0" cellspacing="0"><tr><td colspan="' . shop_db_num_rows($orders_query) . '" background="templates/' . MODULE_SKIN_SELECTED . '/images/navbar_column_bg.gif" height="17" class="column" align="' . NAVBAR_HEADER_ALIGNMENT . '">' . TEXT_ALSO_PURCHASED_PRODUCTS . '</td></tr><tr>';
    while ($orders = shop_db_fetch_array($orders_query)) {
	  $also_purchased .= '<td class="navbar" align="center" valign="bottom">' . shop_display_product($orders, NAVBAR_IMAGE_MODE, false) . '</td>';
    }
    $also_purchased .= '</tr></table>';
    $page_elements_array[] = '[also_purchased]';
    $page_elements_data_array[] = $also_purchased;
  } else {
    $page_elements_array[] = '[also_purchased]';
    $page_elements_data_array[] = '';
  }
}

# End Also Purchased Info

# Start Price Table

$numbers = split("[:;]" , $product_info['products_price']);
if (count($numbers) >= 2) {
  for ($i = 0; $i < count($numbers); $i++) {
  	$j=$i*2;
  	if ($numbers[$j]) {
  		$price_table_qty .= '<td class="body" bgcolor="e0e0e0" align="center">' . $numbers[$j];
  		if ($j == (count($numbers)-2)) $price_table_qty .= '+';
  		$price_table_qty .= '</td>';
  		$price_table_price .= '<td class="body" bgcolor="e0e0e0" align="center">' . $GLOBALS['currencies']->display_price($numbers[$j+1], shop_get_tax_rate($product_info['products_tax_class_id'])) . '</td>';
  	}
  }
  $page_elements_array[] = '[product_price_table]';
  $page_elements_data_array[] = '<table width="100%" border="0" cellpadding="2" cellspacing="1"><tr>' . $price_table_qty . '</tr><tr>' . $price_table_price . '</tr></table>';
} else {
  $page_elements_array[] = '[product_price_table]';
  $page_elements_data_array[] = '';
}

# End Price Table

# Start Options and Images

if ($image_size = @getimagesize('images/' . $product_info['products_image'])) {
  if (PINFO_IMAGE_WIDTH > 0 || PINFO_IMAGE_HEIGHT > 0) {
    if (PINFO_IMAGE_WIDTH > 0 && !(PINFO_IMAGE_HEIGHT > 0)) {
	  $width = PINFO_IMAGE_WIDTH;
	  $height = $image_size[1] * ($width / $image_size[0]);
    } elseif (PINFO_IMAGE_HEIGHT > 0 && !(PINFO_IMAGE_WIDTH > 0)) {
	  $height = PINFO_IMAGE_HEIGHT;
	  $width = $image_size[0] * ($height / $image_size[1]);
    }
  } else {
    $width = $image_size[0];
    $height = $image_size[1];
  }
}

$page_product_options_array = array();
$page_customer_options_array = array();

$imagearray = array('"image[0]=images/' . $product_info['products_image'] . '&"');
$images_js_load = '';

$page_product_javascript = '';

# Start Product Options

if (shop_has_product_attributes($_GET['products_id'])) {
  $products_options_name = shop_db_query("select distinct popt.* from " . DB_PREFIX . "products_options popt, " . DB_PREFIX . "products_attributes patrib where patrib.products_id='$products_id' and patrib.options_id = popt.products_options_id and popt.language_id = '$languages_id' order by products_options_id");
	while ($products_options_name_values = shop_db_fetch_array($products_options_name)) {
	$page_value = '';
	$page_option = '';
	$products_options = shop_db_query("select pov.*, pa.* from " . DB_PREFIX . "products_attributes pa, " . DB_PREFIX . "products_options_values pov where pa.products_id = '$products_id' and pa.options_id = '" . $products_options_name_values['products_options_id'] . "' and pa.options_values_id = pov.products_options_values_id and pov.language_id = '$languages_id' order by pa.is_default,pov.products_options_values_id");
	$num = shop_db_num_rows($products_options);
  	$imagearray[] = 'image' . $products_options_name_values['products_options_id'];
  	$imagearray[] = 'prlocx' . $products_options_name_values['products_options_id'];
  	$imagearray[] = 'prlocy' . $products_options_name_values['products_options_id'];
  	$imagearray[] = 'prsize' . $products_options_name_values['products_options_id'];

	if (@$_SESSION['cart']->contents[$_GET['products_id']]['attributes'][$products_options_name_values['products_options_id']]['options_values_id']) {
	  $where = "options_values_id = '" . $_SESSION['cart']->contents[$_GET['products_id']]['attributes'][$products_options_name_values['products_options_id']]['options_values_id'] . "'";
	} else {
	  $where = "is_default = 1";
	}

	$default_query = shop_db_query("select * from " . DB_PREFIX . "products_attributes where products_id = '$products_id' and options_id = '" . $products_options_name_values['products_options_id'] . "' and " . $where);
	if (shop_db_num_rows($default_query)) {
  	  $default = shop_db_fetch_array($default_query);
  	  $images_js_load .= 'var image' . $products_options_name_values['products_options_id'] . ' = "image[' . $products_options_name_values['products_options_id'] . ']=images/' . $default['attribute_image'] . '&";' . UNIX_RETURN .
						 'var prlocx' . $products_options_name_values['products_options_id'] . ' = "prlocx[' . $products_options_name_values['products_options_id'] . ']=' . (int) @$default['locx'] . '&";' . UNIX_RETURN .
						 'var prlocy' . $products_options_name_values['products_options_id'] . ' = "prlocy[' . $products_options_name_values['products_options_id'] . ']=' . (int) @$default['locy'] . '&";' . UNIX_RETURN .
						 'var prsize' . $products_options_name_values['products_options_id'] . ' = "prscale[' . $products_options_name_values['products_options_id'] . ']=' . @$default['size'] . '&";' . UNIX_RETURN;
  	} else {
  	  $images_js_load .= 'var image' . $products_options_name_values['products_options_id'] . ' = "image[' . $products_options_name_values['products_options_id'] . ']=images/' . $products_options_name_values['attribute_image'] . '&"; ' . UNIX_RETURN .
						 'var prlocx' . $products_options_name_values['products_options_id'] . ' = "prlocx[' . $products_options_name_values['products_options_id'] . ']=' . (int) @$products_options_name_values['locx'] . '&";' . UNIX_RETURN .
						 'var prlocy' . $products_options_name_values['products_options_id'] . ' = "prlocy[' . $products_options_name_values['products_options_id'] . ']=' . (int) @$products_options_name_values['locy'] . '&";' . UNIX_RETURN .
						 'var prsize' . $products_options_name_values['products_options_id'] . ' = "prscale[' . $products_options_name_values['products_options_id'] . ']=' . @$products_options_name_values['size'] . '&";' . UNIX_RETURN;
  	}

	if ($num >= 2) {
	  if ($products_options_name_values['options_mode'] == 1) {
		# start pop-up window
		$page_option = '<a onClick="popupOption(\'' . $products_options_name_values['products_options_id'] . '\',\'' . $_GET['products_id'] . '\');">' . (($products_options_name_values['options_button']) ? shop_image('images/option_buttons/' . $products_options_name_values['options_button'], $products_options_name_values['products_options_name']) : $products_options_name_values['products_options_name']) . '</a>';
		$page_value = shop_draw_hidden_field('attributes[' . $products_options_name_values['products_options_id'] . ']', $default['options_values_id']);
		# end pop-up window
	  } elseif ($products_options_name_values['options_mode'] == 0) {
		# start pop-up list
		$page_value = '<select name="attributes[' . $products_options_name_values['products_options_id'] . ']" onChange="setoptionid' . $products_options_name_values['products_options_id'] . '(options[selectedIndex].value, this.form);">'; $page_option = '';
		$page_option = (($products_options_name_values['options_button']) ? shop_image('images/option_buttons/' . $products_options_name_values['options_button'], $products_options_name_values['products_options_name']) : $products_options_name_values['products_options_name'] . ': ');
		$page_product_javascript .= 'function setoptionid' . $products_options_name_values['products_options_id'] . '(theField,theForm) {' . UNIX_RETURN;
		$been_selected = 0;
		while ($products_options_values = shop_db_fetch_array($products_options)) {
		  if (@$products_options_values['attribute_image']) {
			$page_product_javascript .= '	if (theField == ' . $products_options_values['products_options_values_id'] . ') {' .
						 '		image' . $products_options_name_values['products_options_id'] . ' = "image[' . $products_options_name_values['products_options_id'] . ']=images/' . $products_options_values['attribute_image'] . '&";' . UNIX_RETURN .
						 '		prlocx' . $products_options_name_values['products_options_id'] . ' = "prlocx[' . $products_options_name_values['products_options_id'] . ']=' . $products_options_values['locx'] . '&";' . UNIX_RETURN .
						 '		prlocy' . $products_options_name_values['products_options_id'] . ' = "prlocy[' . $products_options_name_values['products_options_id'] . ']=' . $products_options_values['locy'] . '&";' . UNIX_RETURN .
						 '		prsize' . $products_options_name_values['products_options_id'] . ' = "prscale[' . $products_options_name_values['products_options_id'] . ']=' . $products_options_values['size'] . '&";' . UNIX_RETURN .
						 '		thepics = [imagearray]; ' .
						 '		drawimage(thepics); ' .
						 '	}' . UNIX_RETURN;
		  }

		  $selected = 0;
		  $page_value .= '<option value="' . $products_options_values['products_options_values_id'] . '"';
		  if (!($_SESSION['cart']->contents[$_GET['products_id']]['attributes'][$products_options_name_values['products_options_id']]['options_values_id']) && $products_options_values['is_default']) {
			$selected = 1;
			$page_value .= ' SELECTED';
		  } elseif ($_SESSION['cart']->contents[$_GET['products_id']]['attributes'][$products_options_name_values['products_options_id']]['options_values_id'] == $products_options_values['products_options_values_id']) {
			$selected = 1;
			$page_value .= ' SELECTED';
		  }


		  $page_value .= '>' . (( $products_options_values['options_model']) ? $products_options_values['options_model'] . ' - ' : '') . $products_options_values['products_options_values_name'];
		  if ($products_options_values['options_values_price'] != '0') {
			$page_value .= ' (' . $products_options_values['price_prefix'] . $GLOBALS['currencies']->display_price($products_options_values['options_values_price'], $tax_rate) .')&nbsp';
		  }
		  $page_value .=  '</option>';
		}

		$page_value .= '</select><br />';

		$page_product_javascript .= '}' . UNIX_RETURN . UNIX_RETURN;
	  }
	  # end pop-up list
	} elseif ($num <= 1) {
  	  $products_options_values = shop_db_fetch_array($products_options);
  	  if ($products_options_values['products_options_values_id']) {
  		$page_option = '<input type="hidden" name="attributes[' . $products_options_name_values['products_options_id'] . ']" value="' . $products_options_values['products_options_values_id'] . '">';
  		$page_value = '';
	  }
	}
	$page_product_options_array[] = array('option' => $page_option,'value' => $page_value);
  }
  shop_display_product_options($page, $page_product_options_array);
} else {
  $page = preg_replace(array('/\[product_options\](.*)\[\/product_options\]/Us','/\[product_options\]/'),'',$page);
}

# End Product Options

# Start Customer Options

if (shop_has_customer_options($products_id)) {
  $customer_options_query_raw = "select co.*, coo.* from " . DB_PREFIX . "customer_options co, " . DB_PREFIX . "customer_options_options coo where coo.language_id = '$languages_id' and coo.customer_options_options_id = co.customer_options_options_id and co.products_id = '$products_id' order by co.customer_options_options_id";
  $customer_options_query = shop_db_query($customer_options_query_raw);
  while ($customer_options = shop_db_fetch_array($customer_options_query)) {
	$input = '';
	$value = $_SESSION['cart']->contents[$_GET['products_id']]['customer_options'][$customer_options['customer_options_id']]['customer_options_options_value'];
	$link = '';

	switch ($customer_options['options_type']) {
	  case '1':
		$input = '<input type="text" name="customer_options[' . $customer_options['customer_options_id'] . ']" value="' . $value .  '">';
		break;
	  case '11':
		$input = '<textarea name="customer_options[' . $customer_options['customer_options_id'] . ']">' . $value .  '</textarea>';
		break;
	  case '2':
		$input = '<input type="hidden" name="customer_options[' . $customer_options['customer_options_id'] . ']" value="' . $value .  '">';
		break;
	  case '3':
		$input = '<input type="file" name="customer_options[' . $customer_options['customer_options_id'] . ']">';
		break;
	  case '4':
		$input = '<input type="password" name="customer_options[' . $customer_options['customer_options_id'] . ']" value="' . $value .  '">';
		break;
	  case '5':
		$input = shop_draw_checkbox_field('customer_options[' . $customer_options['customer_options_id'] . ']', 'true', $value);
		break;
	  case '6':
		if ($value) {
		  $images_js_load .= 'var text' . $customer_options['customer_options_id'] . ' = "text[' . $customer_options['customer_options_id'] . ']=' . (html_entity_decode($value)) . '&";' . UNIX_RETURN;
		} else {
		  $images_js_load .= 'var text' . $customer_options['customer_options_id'] . ' = "";' . UNIX_RETURN;
		}
		if ($customer_options['locx']) {
		  $images_js_load .= 'var locx' . $customer_options['customer_options_id'] . ' = "locx[' . $customer_options['customer_options_id'] . ']=' . $customer_options['locx'] . '&";' . UNIX_RETURN;
		  $imagearray[] = 'locx' . $customer_options['customer_options_id'];
		}
		if ($customer_options['locy']) {
		  $images_js_load .= 'var locy' . $customer_options['customer_options_id'] . ' = "locy[' . $customer_options['customer_options_id'] . ']=' . $customer_options['locy'] . '&";' . UNIX_RETURN;
		  $imagearray[] = 'locy' . $customer_options['customer_options_id'];
		}
		$input = '<input type="text" name="customer_options[' . $customer_options['customer_options_id'] . ']" size="13" value="' . $value .  '" onChange="text' . $customer_options['customer_options_id'] . '=\'text[' . $customer_options['customer_options_id'] . ']=\' + value + \'&\'; updatetext();">';
		$imagearray[] = 'text' . $customer_options['customer_options_id'];
		break;
	  case '7':
		$option_name = shop_coptions_name($customer_options['customer_options_options_id'], $languages_id);
		$link .= '<a onClick="popupUpload(\'' . $customer_options['customer_options_id'] . '\', document.cart_quantity[\'customer_options[' . $customer_options['customer_options_id'] . ']\'].value);">';
		$input .= '<input type="hidden" name="customer_options[' . $customer_options['customer_options_id'] . ']" value="' . $value . '">';
		$imagearray[] = 'uploadedimage' . $customer_options['customer_options_id'];
		if ($value) {
		  $images_js_load .= 'var uploadedimage' . $customer_options['customer_options_id'] . ' = "uploadedimage[' . $customer_options['customer_options_id'] . ']=customer_options/' . $value . '&";' . UNIX_RETURN;
		} else {
		  $images_js_load .= 'var uploadedimage' . $customer_options['customer_options_id'] . ' = "";' . UNIX_RETURN;
		}
		if ($customer_options['locx']) {
		  $images_js_load .= 'var locx' . $customer_options['customer_options_id'] . ' = "locx[' . $customer_options['customer_options_id'] . ']=' . $customer_options['locx'] . '&";' . UNIX_RETURN;
		  $imagearray[] = 'locx' . $customer_options['customer_options_id'];
		}
		if ($customer_options['locy']) {
		  $images_js_load .= 'var locy' . $customer_options['customer_options_id'] . ' = "locy[' . $customer_options['customer_options_id'] . ']=' . $customer_options['locy'] . '&";' . UNIX_RETURN;
		  $imagearray[] = 'locy' . $customer_options['customer_options_id'];
		}
		break;
	  case '8':
		$fonts_directory = DIR_FS_CATALOG . "fonts/";
		if ($dir = @dir($fonts_directory)) {
			while ($file = $dir->read()) {
				if ((substr($file,-3,3) == 'ttf')) {
				  $fonts_array[] = array('id' => $file, 'text' => str_replace(array('_','.ttf'),' ', $file));
				}
			}
		}

		if ($value) {
		  $value_setting = $value;
		  $images_js_load .= 'var font = "font=' . $value . '&";' . UNIX_RETURN;
		} else {
		  $images_js_load .= 'var font = "font=Trebuchet_MS.ttf&";' . UNIX_RETURN;
		  $value_setting = 'Trebuchet_MS.ttf';
		}

		$imagearray[] = 'font';
		$input = shop_draw_pull_down_menu('customer_options[' . $customer_options['customer_options_id'] . ']', $fonts_array, $value_setting, 'onChange="font=\'font=\' + value + \'&\'; updatetext();"');
		break;
	  case '9':
		if ($value) {
		  $value_setting = $value;
		  $images_js_load .= 'var fontsize = "fontsize=' . $value . '&";' . UNIX_RETURN;
		} else {
		  $images_js_load .= 'var fontsize = "fontsize=14&";' . UNIX_RETURN;
		  $value_setting = '14';
		}

		$imagearray[] = 'fontsize';
		$fonts_sizes_array = array(array('id' => '8', 'text' => '8pt'),array('id' => '9', 'text' => '9pt'),array('id' => '10', 'text' => '10pt'),array('id' => '12', 'text' => '12pt'),array('id' => '14', 'text' => '14pt'),array('id' => '16', 'text' => '16pt'),array('id' => '18', 'text' => '18pt'),array('id' => '24', 'text' => '24pt'));
		$input = shop_draw_pull_down_menu('customer_options[' . $customer_options['customer_options_id'] . ']', $fonts_sizes_array, $value_setting, 'onChange="fontsize=\'fontsize=\' + value + \'&\'; updatetext();"');
		break;
	  case '10':
		if ($value) {
		  $value_setting = $value;
		  $images_js_load .= 'var color = "color=' . $value . '&";' . UNIX_RETURN;
		} else {
		  $images_js_load .= 'var color = "color=Black&";' . UNIX_RETURN;
		  $value_setting = '14';
		}

		$imagearray[] = 'color';
		$colors_array = array(array('id' => 'Black', 'text' => 'Black'),
							  array('id' => 'White', 'text' => 'White'),
							  array('id' => 'Red', 'text' => 'Red'),
							  array('id' => 'Green', 'text' => 'Green'),
							  array('id' => 'Blue', 'text' => 'Blue'),
							  array('id' => 'Gold', 'text' => 'Gold'),
							  array('id' => 'Silver', 'text' => 'Silver'),
							  array('id' => 'Sky Blue', 'text' => 'Sky Blue'),
							  array('id' => 'Purple', 'text' => 'Purple'));

		$input = shop_draw_pull_down_menu('customer_options[' . $customer_options['customer_options_id'] . ']', $colors_array, $value_setting, 'onChange="color=\'color=\' + value + \'&\'; updatetext();"');
		break;
	}
	if ($customer_options['options_type'] != '2') {
	  $page_option = $link . (($customer_options['options_button']) ? shop_image('images/option_buttons/' . $customer_options['options_button'], $customer_options['customer_options_options_name']) : $customer_options['customer_options_options_name']) . (($link) ? '</a>' : '');
	}
	$page_value = $input;
	$page_customer_options_array[] = array('option' => $page_option, 'value' => $page_value);
  }
  shop_display_customer_options($page, $page_customer_options_array);
} else {
  $page = preg_replace(array('/\[customer_options\](.*)\[\/customer_options\]/Us','/\[customer_options\]/'),'',$page);
}

# End Customer Options

if ($image_size[0]) {
  $image_options = implode(" + ",$imagearray);
  $javascript_final = '<script language="javascript"><!--
' . $images_js_load . '
	var thepics = ' . $image_options . ';

updatetext();

function popupZoom(url) {
	var sep = "?";
	var sep_check = url.indexOf(sep);
	if (sep_check > -1) sep = "&"; 
	makeWindow(url + sep + thepics, ' . (int) $image_size[0] . ', ' . (int) $image_size[1] . ', ((window.screen.width/2) ' . (int) ($image_size[0]/-2) . '), ((window.screen.height/2) ' . (int) ($image_size[1]/-2) . ') );
}

function drawimage(thepics) {
	document.images.pic.src="' . DIR_WS_CATALOG . 'contents/image.php?sizex=' . $width . '&sizey=' . $height . '&" + thepics;
}

function updatetext() {
	thepics = ' . $image_options . ';
	drawimage(thepics);
}

' . str_replace('[imagearray]',"$image_options;",$page_product_javascript) . '

//--></script>
';
} else {
  $image_options = '';
  $javascript_final = '';
}
if (sizeof($imagearray) < 1 && $product_info['products_image']) {
  $page_elements_array[] = '[product_image]';
  $page_elements_data_array[] = '<a onclick="popupZoom(\'' . shop_href_link('popup_image.php') . '\');">' . 
  								shop_image('images/' . $product_info['products_image'], $product_info['products_name'], @$width, @$height, 'border="0" name="pic"') . '</a>';
} elseif (sizeof($imagearray)) {
  $page_elements_array[] = '[product_image]';
  $page_elements_data_array[] = '<a onclick="popupZoom(\'' . shop_href_link('popup_image.php') . '\');">' . 
  								shop_image('images/pixel_trans.gif', $product_info['products_name'], @$width, @$height, 'hspace="5" vspace="5" border="0" name="pic"') . '</a>' . $javascript_final;
} else {
  $page_elements_array[] = '[product_image]';
  $page_elements_data_array[] = '';
}
# End Options and Images

# Start Form Options

if (($product_info['products_quantity'] || STOCK_ALLOW_CHECKOUT == 'true') && $product_info['products_call_for_price']!='1') {
  $form_start = shop_draw_form('cart_quantity', 'product_info.php', shop_get_all_get_params(array('action')) . 'action=add_product', 'post', 'enctype="multipart/form-data"') .
				'<input type="hidden" name="products_id" value="' . $product_info['products_id'] . '">';

  $page_elements_array[] = '[form_start]';
  $page_elements_data_array[] = $form_start;
  $page_elements_array[] = '[form_end]';
  $page_elements_data_array[] = '</form>';

  $page_elements_array[] = '[quantity]';
  $page_elements_data_array[] = '<input type="text" size=3 name="products_qty" value="' . $products_min_qty . '"><input type="hidden" name="products_min_qty" value="' . $products_min_qty . '">';
  $page_elements_array[] = '[buy]';
  $page_elements_data_array[] = shop_image_submit('button_in_cart.gif', IMAGE_BUTTON_IN_CART);
} else {
  $page_elements_array[] = '[form_start]';
  $page_elements_data_array[] = '<form onsubmit="return false;">';
  $page_elements_array[] = '[form_end]';
  $page_elements_data_array[] = '</form>';

  $page_elements_array[] = '[quantity]';
  $page_elements_data_array[] = '';
  $page_elements_array[] = '[buy]';
  $page_elements_data_array[] = '';
}

# End Form Options

# Draw Product Info Page

echo str_replace($page_elements_array,$page_elements_data_array,$page);
