<?php

/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Branding & Affiliates');

define('TABLE_HEADING_AFFILIATE_NAME', 'Brand / Affiliate');
define('TABLE_HEADING_AFFILIATE_CODES', 'Link Code');

define('TEXT_INFO_EDIT_INTRO', 'Please make any necessary changes');
define('TEXT_INFO_AFFILIATE_OWNER_EDIT', 'Affiliate Owner');
define('TEXT_INFO_AFFILIATE_CODE_EDIT', 'Link Code');
define('TEXT_INFO_AFFILIATE_ADDRESS_EDIT', 'Affiliate Address and Phone Number');
define('TEXT_INFO_AFFILIATE_ZONE_EDIT', 'Affiliate Zone / State');
define('TEXT_INFO_AFFILIATE_COUNTRY_EDIT', 'Affiliate Country');
define('TEXT_INFO_AFFILIATE_POSTAL_EDIT', 'Affiliate Postal Code');
define('TEXT_INFO_AFFILIATE_EMAIL_EDIT', 'Affiliate Email Address');
define('TEXT_INFO_AFFILIATE_IMAGE_EDIT', 'Affiliate Logo Image');
define('TEXT_INFO_AFFILIATE_INTRODUCTION_EDIT', 'Affiliate Introduction');
define('TEXT_INFO_AFFILIATE_TITLE', 'Affiliate:');
define('TEXT_INFO_AFFILIATE_TITLE_EDIT', 'Affiliate Name');
define('TEXT_INFO_AFFILIATE_CODE', 'Link Code:');
define('TEXT_INFO_DELETE_INTRO', 'If you delete this affiliate all orders and customers associated with this affiliate will revert back to the default affiliate.<br /><br />Are you sure you want to delete this affiliate?');
define('TEXT_INFO_HEADING_NEW_AFFILIATE', 'New Brand / Affiliate');
define('TEXT_INFO_HEADING_EDIT_AFFILIATE', 'Edit Brand / Affiliate');
define('TEXT_INFO_HEADING_DELETE_AFFILIATE', 'Delete Brand / Affiliate');
define('TEXT_INFO_SET_AS_DEFAULT', TEXT_SET_DEFAULT);
define('PLEASE_SELECT', 'Select One');

  if ($_GET['action']) {
	switch ($_GET['action']) {
	  case 'insert':
	  case 'save':
	  
	    $affiliate_id = ($_GET['aID']);
	    $name = ($_POST['name']);
	    $owner = ($_POST['owner']);
	    $link_code = ($_POST['link_code']);
	    $address_phone = ($_POST['address_phone']);
	    $zone = ($_POST['zone']);
	    $country = ($_POST['country']);
	    $postal = ($_POST['postal']);
	    $email = ($_POST['email']);
	    $introduction = ($_POST['introduction_id']);
	    if ($_FILES['image']) {
	      $uploaded_tmp_file = $_FILES['image']['tmp_name'];
	      $uploaded_file = basename($_FILES['image']['name']);
	    }

	    $sql_data_array = array('name' => $name,
	                            'owner' => $owner,
	                            'link_code' => $link_code,
	                            'address_phone' => $address_phone,
	                            'zone' => $zone,
	                            'country' => $country,
	                            'postal' => $postal,
	                            'email' => $email,
	                            'introduction_id' => $introduction);

	    if ($_GET['action'] == 'insert') {
	      $affiliate_id = shop_db_perform('affiliates', $sql_data_array);
	    } elseif ($_GET['action'] == 'save') {
	      shop_db_perform('orders', array('affiliate' => $_POST['link_code']), 'update', "affiliate = '" . $_POST['old_link_code'] . "'");
	      shop_db_perform('affiliates', $sql_data_array, 'update', "affiliates_id = '" . ($affiliate_id) . "'");
	    }
	    if ($_FILES['image']['name']) {
	      if (shop_is_uploaded_file($_FILES['image']['tmp_name'])) {
	        shop_db_query("update " . DB_PREFIX . "affiliates set image = '$uploaded_file' where affiliates_id = '" . ($affiliate_id) . "'");
	        $image_location = DIR_FS_CATALOG_ELEMENTS . $uploaded_file;
	        if (file_exists($image_location)) @unlink($image_location);
	        shop_move_uploaded_file($uploaded_tmp_file, $image_location);
	      }
	    }

	    if ($_POST['default'] == 'on') {
	      // start send registration data
	      $data = '';
	      while(list($key, $value) = each($_POST)) {
	        $data .= $key . '=' . urlencode(ereg_replace(',', '', $value)) . '&';
	      }
	      $data .= 'serial=' . A_SERIAL;
		  exec("/usr/bin/curl -d \"$data\" http://tools.secure.cc/register.php", $result);
		  // end send registration data
	      shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '" . ($link_code) . "' where configuration_key = 'DEFAULT_AFFILIATE'");
	    }
	    shop_redirect(shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $affiliate_id));
	    break;
	  case 'deleteconfirm':
	    $affiliates_id = ($_GET['aID']);
	    // get the old affiliate link code
	    $old_affiliate = shop_db_fetch_array(shop_db_query("select link_code from " . DB_PREFIX . "affiliates where affiliates_id = '" . $affiliates_id . "'"));

	    $affiliate_query = shop_db_query("select a.affiliates_id, a.link_code from " . DB_PREFIX . "affiliates a, " . DB_PREFIX . "configuration cfg where cfg.configuration_key = 'DEFAULT_AFFILIATE' and cfg.configuration_value = a.link_code");
	    $affiliate = shop_db_fetch_array($affiliate_query);
	    
	    // Check to see if this is the default affiliate, if not go ahead and
	    // delete, otherwise do not delete
	    if ($affiliate['affiliates_id'] != $affiliates_id) {
	    	// update the orders and customer tables that use the now deleted
	    	// affiliate to use the default affiliate
				shop_db_perform('orders', array('affiliate' => $affiliate['link_code']), 'update', "affiliate = '" . $old_affiliate['link_code'] . "'");
				shop_db_perform('customers', array('affiliate' => $affiliate['link_code']), 'update', "affiliate = '" . $old_affiliate['link_code'] . "'");
	    	shop_db_query("delete from " . DB_PREFIX . "affiliates where affiliates_id = '" . ($affiliates_id) . "'");
	    }

	    shop_redirect(shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page']));
	    break;
	  case 'delete':
	    $affiliates_id = ($_GET['aID']);

	    $affiliate_query = shop_db_query("select link_code from " . DB_PREFIX . "affiliates where affiliates_id = '" . ($affiliates_id) . "'");
	    $affiliate = shop_db_fetch_array($affiliate_query);

	    $remove_affiliate = true;
	    if ($affiliate['link_code'] == DEFAULT_AFFILIATE) {
	      $remove_affiliate = false;
	    }
	    break;
	}
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
<script language="JavaScript" type="text/javascript">
function update_zone(theForm) {
  var NumState = affiliates.zone.options.length;
  var SelectedCountry = '';

  while(NumState > 0) {
	NumState--;
	affiliates.zone.options[NumState] = null;
  }

  SelectedCountry = affiliates.country.options[affiliates.country.selectedIndex].value;

<?php echo shop_js_zone_list('SelectedCountry', 'affiliates', 'zone'); ?>
}
</script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" BGCOLOR="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</TABLE><table border="0" width="100%" cellspacing="8" cellpadding="1" BGCOLOR="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <TR>
	        <TD><IMG SRC="images/win_header_left.gif" width="8" height="22"></TD>
	        <TD width="14" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><a href="index.php"><IMG SRC="images/close.gif" width="13" height="14" border="0"></a></td>
	        <TD width="6" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <TD width="14" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><IMG SRC="images/max.gif" width="13" height="14" border="0"></a></TD>
	        <TD class="windowHeading" ALIGN="CENTER" VALIGN="CENTER" HEIGHT="22" WIDTH="100%" BACKGROUND="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></TD>
	        <TD width="34" BACKGROUND="images/win_header_bg.gif"></TD>
	        <TD><IMG SRC="images/win_header_right.gif" width="8" height="22"></TD>
	    </TR>
	</TABLE>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<TR>
		<TD width="100%" BGCOLOR="ffffff"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td><table border="0" width="100%" cellspacing="0" cellpadding="0">
	      <tr>
	        <td valign="top"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" valign="center" class="dataTableContent" BACKGROUND="images/win_header_column.gif"> &nbsp; <?php echo TABLE_HEADING_AFFILIATE_NAME; ?></td>
	            <td height="17" valign="center" class="dataTableContent" BACKGROUND="images/win_header_column.gif"><?php echo TABLE_HEADING_AFFILIATE_CODES; ?></td>
	            <td BACKGROUND="images/win_header_column.gif"></td>
	          </tr>
<?php
  $affiliates_query_raw = "select affiliates_id, name, link_code, image, owner, address_phone, country, zone, postal, email, introduction_id from " . DB_PREFIX . "affiliates order by name, affiliates_id";
  $affiliate_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $affiliates_query_raw, $affiliates_query_numrows);
  $affiliates_query = shop_db_query($affiliates_query_raw);
  while ($affiliate = shop_db_fetch_array($affiliates_query)) {
	if (((!$_GET['aID']) || (@$_GET['aID'] == $affiliate['affiliates_id'])) && (!$aInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	  $affiliates_description_query_raw = "select affiliates_description_id, language_id, introduction from " . DB_PREFIX . "affiliates_description where affiliates_description_id = '" . $affiliate['introduction_id'] . "'";
	  $affiliates_description_query = shop_db_query($affiliates_description_query_raw);
	  while ($affiliates_description = shop_db_fetch_array($affiliates_description_query)) {
	    $affiliate['introduction'][$affiliates_description['language_id']] = $affiliates_description['introduction'];
	  }
	  $aInfo = new objectInfo($affiliate);
	}
	if (DEFAULT_AFFILIATE == $affiliate['link_code']) {
	  $action = '';
	} else {
	  $action = ' onclick="document.location.href=\'' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=edit') . '\'"';
	}
	if ( (is_object($aInfo)) && ($affiliate['affiliates_id'] == $aInfo->affiliates_id) ) {
	  echo '                  <tr class="dataTableRowSelected" onmouseover="this.style.cursor=\'pointer\'"' . $action . '>' . UNIX_RETURN;
	} else {
	  echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $affiliate['affiliates_id']) . '\'">' . UNIX_RETURN;
	}

	if (DEFAULT_AFFILIATE == $affiliate['link_code']) {
	  echo '                <td class="dataTableContent"> &nbsp; <b>' . $affiliate['name'] . ' (' . TEXT_DEFAULT . ')</b></td>' . UNIX_RETURN;
	} else {
	  echo '                <td class="dataTableContent"> &nbsp; ' . $affiliate['name'] . '</td>' . UNIX_RETURN;
	}
?>
	            <td class="dataTableContent" height="20"><?php echo $affiliate['link_code']; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($aInfo)) && ($affiliate['affiliates_id'] == $aInfo->affiliates_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $affiliate['affiliates_id']) . '">&nbsp;</a>'; } ?></td>
	          </tr>
<?php
  }
?>
	          <tr>
	            <td colspan="3">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $affiliate_split->display_count($affiliates_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_AFFILIATES); ?></td>
	                  <td class="smallText" align="right"><?php echo $affiliate_split->display_links($affiliates_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page']); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
	              <tr>
	                <td align="right" colspan="3">
	                <?php
  if (!$_GET['action']) {
	echo '<a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_NEW_AFFILIATE) . '</a>&nbsp;';
  }
  echo '<a href="javascript:popupWindow(\'affiliates_setup.php\',\'affiliates\');">' . shop_image_button('button_setup.gif', 'Setup') . '</a>&nbsp;';?></td>
	              </tr>
	            </table>
	            </td>
<?php

  $select_introductions_string = '<select name="introduction_id">';
  $introductions_query = shop_db_query("select affiliates_description_id, name from " . DB_PREFIX . "affiliates_description where language_id = '$languages_id' order by name");
  while ($introductions = shop_db_fetch_array($introductions_query)) {
	if ($introductions['affiliates_description_id'] == $aInfo->introduction_id) {
	  $selected = ' SELECTED';
	} else {
	  $selected = '';
	}
	$select_introductions_string .= '<option value="' . $introductions['affiliates_description_id'] . '"' . $selected . '>' . $introductions['name'] . '</option>';
  }
  $select_introductions_string .= '</select>';
  
  $heading = array();
  $contents = array();
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_INFO_HEADING_NEW_AFFILIATE);

	  $contents = array('form' => shop_draw_form('affiliates', FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=continue&action=insert', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_TITLE_EDIT . '<br />' . shop_draw_input_field('name'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_OWNER_EDIT . '<br />' . shop_draw_input_field('owner'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_CODE_EDIT . '<br />' . shop_draw_input_field('link_code'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_ADDRESS_EDIT . '<br />' . shop_draw_textarea_field('address_phone', '', 5));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_ZONE_EDIT . '<br />' . shop_draw_pull_down_menu('zone',shop_get_country_zones('223'), '12'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_COUNTRY_EDIT . '<br />' . shop_draw_pull_down_menu('country',shop_get_countries(), '223', 'onChange="update_zone(this.form);"'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_POSTAL_EDIT . '<br />' . shop_draw_input_field('postal'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_EMAIL_EDIT . '<br />' . shop_draw_input_field('email'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_INTRODUCTION_EDIT . '<br />' . $select_introductions_string);
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_IMAGE_EDIT . '<p>' . shop_draw_file_field('image', '', 'size="16"'));
	  $contents[] = array('text' => shop_draw_checkbox_field('default') . ' ' . TEXT_INFO_SET_AS_DEFAULT);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_insert.gif', IMAGE_INSERT) . ' <a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $_GET['aID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_INFO_HEADING_EDIT_AFFILIATE);

	  $contents = array('form' => shop_draw_form('affiliates', FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=continue&action=save', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_TITLE_EDIT . '<br />' . shop_draw_input_field('name',$aInfo->name));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_OWNER_EDIT . '<br />' . shop_draw_input_field('owner',$aInfo->owner));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_CODE_EDIT . '<br />' . shop_draw_input_field('link_code',$aInfo->link_code) . shop_draw_hidden_field('old_link_code', $aInfo->link_code));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_ADDRESS_EDIT . '<br />' . shop_draw_textarea_field('address_phone',$aInfo->address_phone, 5));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_ZONE_EDIT . '<br />' . shop_draw_pull_down_menu('zone',shop_get_country_zones($aInfo->country), $aInfo->zone));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_COUNTRY_EDIT . '<br />' . shop_draw_pull_down_menu('country',shop_get_countries(),$aInfo->country, 'onChange="update_zone(this.form);"'));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_POSTAL_EDIT . '<br />' . shop_draw_input_field('postal',$aInfo->postal));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_EMAIL_EDIT . '<br />' . shop_draw_input_field('email',$aInfo->email));
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_INTRODUCTION_EDIT . '<br />' . $select_introductions_string);
	  $contents[] = array('text' => TEXT_INFO_AFFILIATE_IMAGE_EDIT . '<p>' . shop_draw_file_field('image', ($aInfo->image) ? '/' . $aInfo->image : '', 'size="16"'));

	  if (DEFAULT_AFFILIATE != $aInfo->link_code) {
	    $contents[] = array('text' => shop_draw_checkbox_field('default') . ' ' . TEXT_INFO_SET_AS_DEFAULT);
	  } else {
	    $contents[] = array('text' => shop_draw_hidden_field('default', 'on'));
	  }
	  
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_update.gif', IMAGE_UPDATE) . ' <a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_INFO_HEADING_DELETE_AFFILIATE);

	  $contents[] = array('text' => TEXT_INFO_DELETE_INTRO);
	  $contents[] = array('text' => '<br /><b>' . $aInfo->name);
	  $contents[] = array('align' => 'center', 'text' => '<br />' . (($remove_affiliate) ? '<a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=deleteconfirm') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>' : '') . ' <a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($aInfo)) {
	    $heading[] = array('text' => $aInfo->name);
	    $contents[] = array('text' => TEXT_INFO_AFFILIATE_TITLE . ' ' . $aInfo->name);
	    $contents[] = array('text' => TEXT_INFO_AFFILIATE_CODE . ' <a href="' . DIR_WS_CATALOG . 'index.php?brand=' . $aInfo->link_code . '" target="_new">' . $aInfo->link_code . ' (web link)</a>');
	    $contents[] = array('align' => 'center', 'text' => shop_image_transparent('interface_elements/' . $aInfo->image, $aInfo->name));
	    $delete = '<a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>';
	    $edit = '<br /><a href="' . shop_href_link(FILENAME_AFFILIATES, 'page=' . $_GET['page'] . '&aID=' . $aInfo->affiliates_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a>';

	    if (!($aInfo->link_code == DEFAULT_AFFILIATE)) {
	      $contents[] = array('align' => 'center', 'text' => $edit . ' &nbsp;' . $delete);
	    } else {
	      $contents[] = array('align' => 'center', 'text' => $edit);
	    }
	  }
	  break;
  }

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="25%" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	    </table></td>
	  </tr>
	</table></TD>
	</TR>
	<TR>
		<TD BACKGROUND="images/win_div.gif" width="8" height="1"></TD>
	</TR>
	<TR>
		<TD align="left" valign="center" width="100%" HEIGHT=17 BACKGROUND="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</TD>
	</TR>
</TABLE>
<!-- body_eof //-->
</body>
</html>
