<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

  require('contents/resources.php');

define('HEADING_TITLE', 'Albums & Tracks');

define('TABLE_HEADING_ARTISTS', 'Artists');
define('TABLE_HEADING_ALBUMS', 'Albums');
define('TABLE_HEADING_TRACKS', 'Tracks');
define('TABLE_HEADING_FILES', 'Sample Media Files');

define('TEXT_ARTIST', 'Artist');
define('TEXT_ALBUM', 'Album');
define('TEXT_TRACK', 'Track #/Name');
define('TEXT_TRACK_FILE', 'Sample Media File');
define('TEXT_TRACK_FORMAT', 'Sample Track Format');

define('TEXT_HEADING_NEW_ALBUM', 'New Album');
define('TEXT_HEADING_EDIT_ALBUM', 'Edit Album');
define('TEXT_HEADING_DELETE_ALBUM', 'Delete Album');
define('TEXT_HEADING_NEW_TRACK', 'New Sample Track');
define('TEXT_HEADING_EDIT_TRACK', 'Edit Sample Track');
define('TEXT_HEADING_DELETE_TRACK', 'Delete Sample Track');

define('TEXT_DELETE_INTRO', 'Are you sure you want to delete this album?');

define('TEXT_NEW_INTRO', 'Please fill out the following information for the new album');
define('TEXT_NEW_TRACK_INTRO', 'Please fill out the following information for the new track');
define('TEXT_EDIT_INTRO', 'Please make any necessary changes');

  if ($_FILES['media_file']['name']) {
	  $fileloc = DIR_FS_CATALOG . "media/" . $_FILES['media_file']['name'];
	  if(file_exists($fileloc)) {
	    @unlink($fileloc);
	  }
	  shop_move_uploaded_file($_FILES['media_file']['tmp_name'], $fileloc);
  }

  $track_formats = array(array('id' => 'NO', 'text' => 'None'),
  						 array('id' => 'AC', 'text' => 'AC3'),
	                     array('id' => 'MP', 'text' => 'MP3'),
	                     array('id' => 'QT', 'text' => 'QuickTime'),
	                     array('id' => 'RA', 'text' => 'RealAudio'),
	                     array('id' => 'RV', 'text' => 'RealVideo'),
	                     array('id' => 'WM', 'text' => 'Windows Media Player'));
  
  $track_format = array('AC' => array('id' => 'AC', 'text' => 'AC3'),
	                    'MP' => array('id' => 'MP', 'text' => 'MP3'),
	                    'QT' => array('id' => 'QT', 'text' => 'QuickTime'),
	                    'RA' => array('id' => 'RA', 'text' => 'RealAudio'),
	                    'RV' => array('id' => 'RV', 'text' => 'RealVideo'),
	                    'WM' => array('id' => 'WM', 'text' => 'Windows Media Player'),
	                    'NO' => array('id' => 'NO', 'text' => 'None'));

  switch ($_GET['action']) {
	case 'insert_track':
	case 'save_track':
	  $product_media_id = ($_POST['product_media_id']);
	  $product_id = ($_GET['pID']);
	  $track_name = $_POST['track_name'];
	  $track_format = $_POST['media_format'];
	  $track_number = $_POST['track_number'];
	  
	  $sql_data_array = array('product_id' => $product_id,
	                          'track_number' => $track_number,
	                          'track_name' => $track_name,
	                          'track_format' => $track_format);

	  if ($_GET['action'] == 'insert_track') {
	    $product_media_id = shop_db_perform('mshox_product_media', $sql_data_array);
	  } elseif ($_GET['action'] == 'save_track') {
	    shop_db_perform('mshox_product_media', $sql_data_array, 'update', "product_media_id = '$product_media_id'");
	  }
	  
	  if ($_FILES['media_file']['tmp_name']) {
	    shop_db_query("update " . DB_PREFIX . "mshox_product_media set track_filename = '" . $_FILES['media_file']['name'] . "' where product_media_id = '" . ($product_media_id) . "'");
	  }
	  
	  shop_redirect(shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $product_media_id));
	  break;
	case 'deleteconfirm_track':
	  $product_media_id = ($_GET['tID']);

	  shop_db_query("delete from " . DB_PREFIX . "mshox_product_media where product_media_id = '$product_media_id'");

	  shop_redirect(shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID']));
	  break;
	case 'save_album':
	case 'insert_album':
	  $album_id = ($_GET['aID']);
	  $product_id = ($_POST['product_id']);
	  $artist_id = ($_POST['artist_id']);
	  $old_product_id = ($_POST['old_product_id']);
	  $sql_data_array = array('artist_id' => $artist_id,
	                          'product_id' => $product_id);
	  
	  if ($_GET['action'] == 'insert_album') {
	    $album_id = shop_db_perform('mshox_products', $sql_data_array);
	    shop_db_query('update ' . DB_PREFIX . 'products_description' . " set products_mshox_status = '1' where products_id = '$product_id'");
	  } elseif ($_GET['action'] == 'save_album') {
	    shop_db_perform('mshox_products', $sql_data_array, 'update', "album_id = '$album_id'");
	    shop_db_query("update " . DB_PREFIX . "mshox_product_media set product_id = '$product_id' where product_id = '$old_product_id'");
	    shop_db_query('update ' . DB_PREFIX . 'products_description' . " set products_mshox_status = '0' where products_id = '$old_product_id'");
	    shop_db_query('update ' . DB_PREFIX . 'products_description' . " set products_mshox_status = '1' where products_id = '$product_id'");
	  }
	  
	  shop_redirect(shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $album_id));
	  break;
	case 'deleteconfirm_album':
	  $album_id = ($_GET['album_id']);
	  $product_id = ($_POST['product_id']);
	  shop_db_query("delete from " . DB_PREFIX . "mshox_products where album_id = '$album_id'");
	  shop_db_query("delete from " . DB_PREFIX . "mshox_product_media where product_id = '$product_id'");
	  shop_db_query('update ' . DB_PREFIX . 'products_description' . " set products_mshox_status = '0' where products_id = '$product_id'");

	  shop_redirect(shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID']));
	  break;
  }

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>eShox: <?php echo HEADING_TITLE; ?></title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>
</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" BGCOLOR="333333">
<!-- header //-->
<!-- header_eof //-->

<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</TABLE><table border="0" width="100%" cellspacing="8" cellpadding="1" BGCOLOR="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	    <TR>
	        <TD><IMG SRC="images/win_header_left.gif" width="8" height="22"></TD>
	        <TD width="14" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><a href="index.php"><IMG SRC="images/close.gif" width="13" height="14" border="0"></a></td>
	        <TD width="6" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><img src="images/pixel_trans.gif" border="0" width="6" height="14"></td>
	        <TD width="14" align="left" valign="center" BACKGROUND="images/win_header_bg.gif"><a href="<?php echo MYSELF . '?page_toggle=true'; ?>"><IMG SRC="images/max.gif" width="13" height="14" border="0"></a></TD>
	        <TD class="windowHeading" ALIGN="CENTER" VALIGN="CENTER" HEIGHT="22" WIDTH="100%" BACKGROUND="images/win_header_bg.gif"><?php echo HEADING_TITLE; ?></TD>
	        <TD width="34" BACKGROUND="images/win_header_bg.gif"></TD>
	        <TD><IMG SRC="images/win_header_right.gif" width="8" height="22"></TD>
	    </TR>
	</TABLE>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<TR>
		<TD width="100%" BACKGROUND="images/win_header_column.gif"><table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	        <td valign="top">
<?php
  if ($_GET['album'] == 'list') {
?>
	        <table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" colspan="2" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_TRACKS; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_FILES; ?></td>
	            <td height="17" valign="center" class="dataTableContent">&nbsp;</td>
	          </tr>
<?php
	$rows = 0;
	$albums_query_raw = "select * from " . DB_PREFIX . "mshox_product_media where product_id = '" . $_GET['pID'] . "' order by track_number";
	$info_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $albums_query_raw, $albums_query_numrows);
	$albums_query = shop_db_query($albums_query_raw);
	while ($albums = shop_db_fetch_array($albums_query)) {
	  $rows++;
	  if (((!$_GET['tID']) || (@$_GET['tID'] == $albums['product_media_id'])) && (!$trInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	    $trInfo = new objectInfo($albums);
	  }
	  if ( (is_object($trInfo)) && ($albums['product_media_id'] == $trInfo->product_media_id) ) {
	    echo '                  <tr class="dataTableRowSelected">' . UNIX_RETURN;
	  } else {
	    echo '                  <tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&album=list&tID=' . $albums['product_media_id']) . '\'">' . UNIX_RETURN;
	  }
?>
	            <td class="dataTableContent" height="20" width="20" align="right"><img src="images/icons/preview.gif" width=16 height=16 hspace="4"></td>
	            <td class="dataTableContent"><?php echo $albums['track_number'] . '. ' . $albums['track_name']; ?></td>
	            <td class="dataTableContent"><?php echo $albums['track_filename']; ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($trInfo)) && ($albums['product_media_id'] == $trInfo->product_media_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&aID=' . $_GET['aID'] . '&album=list&tID=' . $albums['information_document_id']) . '">&nbsp;</a>'; } ?></td>
	          </tr>
<?php
	}
?>
	          <tr>
	            <td colspan="4">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="top"><?php echo $info_split->display_count($albums_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_TRACKS); ?></td>
	                  <td class="smallText" align="right"><?php echo $info_split->display_links($albums_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], 'page=' . $_GET['page'] . '&aID=' . $_GET['aID'] . '&album=list', 'page'); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
	          <tr>
	            <td align="right" colspan="4"><?php if (!$_GET['action']) echo '<a href="' . shop_href_link(FILENAME_ALBUMS) . '">' . shop_image_button('button_back.gif', IMAGE_BACK) . '</a>&nbsp;<a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&album=list&action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
	        </table>
<?php
  } else {
?>
	        <table border="0" width="100%" cellspacing="0" cellpadding="0">
	          <tr>
	            <td height="17" colspan="2" valign="center" class="dataTableContent"> &nbsp; <?php echo TABLE_HEADING_ALBUMS; ?></td>
	            <td height="17" valign="center" class="dataTableContent"><?php echo TABLE_HEADING_ARTISTS; ?></td>
	            <td height="17" valign="center" class="dataTableContent" align="right">&nbsp;</td>
	          </tr>
<?php
	if ($_GET['artistID']) {
	  $albums_query_raw = "select * from " . DB_PREFIX . "mshox_products where artist_id = '" . $_GET['artistID'] . "'";
	} else {
	  $albums_query_raw = "select * from " . DB_PREFIX . "mshox_products";
	}
	$info_split = new splitPageResults($_GET['page'], CFG_ADMIN_ITEMS_PAGE, $albums_query_raw, $albums_query_numrows);
	$albums_query = shop_db_query($albums_query_raw);
	while ($albums = shop_db_fetch_array($albums_query)) {
	  if (((!$_GET['aID']) || (@$_GET['aID'] == $albums['album_id'])) && (!$aInfo) && (substr($_GET['action'], 0, 3) != 'new')) {
	    $aInfo = new objectInfo($albums);
	  }
	  if ( (is_object($aInfo)) && ($albums['product_id'] == $aInfo->product_id) ) {
	    echo '                  <tr class="dataTableRowSelected" valign="center" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_ALBUMS, 'pID=' . $albums['product_id'] . '&album=list') . '\'">' . UNIX_RETURN;
	  } else {
	    echo '                  <tr class="dataTableRow" valign="center" onmouseover="this.style.cursor=\'pointer\'" onclick="document.location.href=\'' . shop_href_link(FILENAME_ALBUMS, 'artistID=' . $_GET['artistID'] . '&aID=' . $albums['album_id'] . '&page=' . $_GET['page']) . '\'">' . UNIX_RETURN;
	  }
?>
	            <td class="dataTableContent" height="20" width="20" align="right"><img src="images/icons/cd.gif" width=16 height=16 hspace="4"></td>
	            <td class="dataTableContent" align="left"><?php echo shop_get_products_name($albums['product_id']); ?></td>
	            <td class="dataTableContent" align="left"><?php echo shop_get_artists_name($albums['artist_id']); ?></td>
	            <td class="dataTableContent" align="right"><?php if ( (is_object($aInfo)) && ($albums['product_id'] == $aInfo->product_id) ) { echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif'); } else { echo '<a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&aID=' . $albums['product_id']) . '"></a>'; } ?></td>
	          </tr>
<?php
	}
?>
	          <tr>
	            <td colspan="3">
	              <table border="0" width="100%" cellspacing="0" cellpadding="4">
	                <tr>
	                  <td class="smallText" valign="center"><?php echo $info_split->display_count($albums_query_numrows, CFG_ADMIN_ITEMS_PAGE, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_ALBUMS); ?></td>
	                  <td class="smallText" valign="center" align="right"><?php echo $info_split->display_links($albums_query_numrows, CFG_ADMIN_ITEMS_PAGE, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], '', 'page'); ?></td>
	                </tr>
	              </table>
	            </td>
	          </tr>
	          <tr>
	            <td align="right" colspan="4"><?php if (!$_GET['action']) echo '<a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $aInfo->product_id . '&action=new_album') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>&nbsp;'; ?></td>
	          </tr>
	        </table>
<?php
  }
?>
	        </td>
<?php
  $heading = array();
  $contents = array();

  $products_query = shop_db_query("select * from " . DB_PREFIX . "products_description where language_id = '$languages_id' and (products_mshox_status = '0' or products_id = '" . $aInfo->product_id . "') order by products_name");
  $artists_query = shop_db_query("select * from " . DB_PREFIX . "mshox_artists where language_id = '$languages_id' order by artist");
  $artists_array = array();
  while ($artists = shop_db_fetch_array($artists_query)) {
	  $artists_array[] = array('id' => $artists['artist_id'], 'text' => $artists['artist']);
  }
  
  $products_array = array();
  while ($products = shop_db_fetch_array($products_query)) {
	  $products_array[] = array('id' => $products['products_id'], 'text' => $products['products_name']);
  }
  
  switch ($_GET['action']) {
	case 'new':
	  $heading[] = array('text' => TEXT_HEADING_NEW_TRACK);

	  $contents = array('form' => shop_draw_form('new', FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&action=insert_track', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_NEW_TRACK_INTRO . '<INPUT TYPE="hidden" NAME="product_media_id" VALUE="' . $trInfo->product_media_id . '">');  
	  $contents[] = array('text' => '<br />' . TEXT_TRACK . '<br />' . shop_draw_input_field('track_number', '','size="2"') . shop_draw_input_field('track_name'));
	  $contents[] = array('text' => '<br />' . TEXT_TRACK_FILE . '<p>' . shop_draw_file_field('media_file', '/Max. ' . ini_get('post_max_size') . 'b'));
	  $contents[] = array('text' => '<br />' . TEXT_TRACK_FORMAT . '<br />' . shop_draw_pull_down_menu('media_format',$track_formats));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit':
	  $heading[] = array('text' => TEXT_HEADING_EDIT_TRACK);

	  $contents = array('form' => shop_draw_form('edit', FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&pID=' . $_GET['pID'] . '&action=save_track', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_EDIT_INTRO . '<INPUT TYPE="hidden" NAME="product_media_id" VALUE="' . $trInfo->product_media_id . '">');  
	  $contents[] = array('text' => '<br />' . TEXT_TRACK . '<br />' . shop_draw_input_field('track_number', $trInfo->track_number,'size="2"') . shop_draw_input_field('track_name', $trInfo->track_name));
	  $contents[] = array('text' => '<br />' . TEXT_TRACK_FILE . '<p>' . shop_draw_file_field('media_file', '/' . $trInfo->track_filename));
	  $contents[] = array('text' => '<br />' . TEXT_TRACK_FORMAT . '<br />' . shop_draw_pull_down_menu('media_format',$track_formats, $trInfo->track_format));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'new_album':
	  $heading[] = array('text' => TEXT_HEADING_NEW_ALBUM);
	  $contents = array('form' => shop_draw_form('new_album', FILENAME_ALBUMS, 'action=insert_album&artistID=' . $_GET['artistID'], 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_NEW_INTRO);
	  $contents[] = array('text' => '<br />' . TEXT_ARTIST . '<br />' . shop_draw_pull_down_menu('artist_id', $artists_array, $_GET['artistID']));
	  $contents[] = array('text' => '<br />' . TEXT_ALBUM . '<br />' . shop_draw_pull_down_menu('product_id', $products_array));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'edit_album':
	  $heading[] = array('text' => TEXT_HEADING_EDIT_ALBUM);
	  $contents = array('form' => shop_draw_form('edit_album', FILENAME_ALBUMS, '&artistID=' . $_GET['artistID'] . '&aID=' . $aInfo->album_id . '&action=save_album', 'post', 'enctype="multipart/form-data"'));
	  $contents[] = array('text' => TEXT_EDIT_INTRO . shop_draw_hidden_field('old_product_id', $aInfo->product_id));
	  $contents[] = array('text' => '<br />' . TEXT_ARTIST . '<br />' . shop_draw_pull_down_menu('artist_id', $artists_array, $aInfo->artist_id));
	  $contents[] = array('text' => '<br />' . TEXT_ALBUM . '<br />' . shop_draw_pull_down_menu('product_id', $products_array, $aInfo->product_id));
	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $_GET['aID']) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete_album':
	  $heading[] = array('text' => TEXT_HEADING_DELETE_ALBUM);

	  $contents = array('form' => shop_draw_form('delete_album', FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&album_id=' . $aInfo->album_id . '&action=deleteconfirm_album'));
	  $contents[] = array('text' => TEXT_DELETE_INTRO . '<INPUT TYPE="hidden" NAME="product_id" VALUE="' . $aInfo->product_id . '">');
	  $contents[] = array('text' => '<br />' . shop_get_artists_name($aInfo->artist_id) . ': <b>' . shop_get_products_name($aInfo->product_id) . '</b>');

	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $aInfo->album_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	case 'delete':
	  $heading[] = array('text' => TEXT_HEADING_DELETE_TRACK);

	  $contents = array('form' => shop_draw_form('delete', FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id . '&action=deleteconfirm_track'));
	  $contents[] = array('text' => TEXT_DELETE_INTRO);
	  $contents[] = array('text' => '<br />Track ' . $trInfo->track_number . ': <b>' . $trInfo->track_name . '</b>');

	  $contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
	  break;
	default:
	  if (is_object($aInfo)) {
	    $heading[] = array('text' => shop_get_products_name($aInfo->product_id));
	    $contents[] = array('text' => TEXT_ARTIST . ': ' . shop_get_artists_name($aInfo->artist_id));
	    $contents[] = array('text' => TEXT_ALBUM . ': ' . shop_get_products_name($aInfo->product_id));
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $aInfo->album_id . '&action=edit_album') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&artistID=' . $_GET['artistID'] . '&aID=' . $aInfo->album_id . '&action=delete_album') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  } elseif (is_object($trInfo)) {
	    $heading[] = array('text' => $trInfo->track_name);
	    $contents[] = array('text' => TEXT_ALBUM . ': ' .  shop_get_products_name($trInfo->product_id));
	    $contents[] = array('text' => TEXT_TRACK . ': ' . $trInfo->track_number . '. ' . $trInfo->track_name);
	    $contents[] = array('text' => TEXT_TRACK_FILE . ': ' . $trInfo->track_filename);
	    $contents[] = array('text' => TEXT_TRACK_FORMAT . ': ' . $track_format[$trInfo->track_format]['text']);
	    $contents[] = array('align' => 'center', 'text' => '<br /><a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id . '&action=edit') . '">' . shop_image_button('button_edit.gif', IMAGE_EDIT) . '</a> <a href="' . shop_href_link(FILENAME_ALBUMS, 'page=' . $_GET['page'] . '&album=list&pID=' . $_GET['pID'] . '&tID=' . $trInfo->product_media_id . '&action=delete') . '">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>');
	  }
	  break;
	}

  if ( ($heading) && ($contents) ) {
	echo '            <td class="infoBoxContent" width="250" valign="top">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
  }
?>
	      </tr>
	</table></TD>
	</TR>
	<TR>
		<TD BACKGROUND="images/win_div.gif" width="8" height="1"></TD>
	</TR>
	<TR>
		<TD align="left" valign="center" width="100%" height="14" BACKGROUND="images/base_bg.gif">
<?php
include('contents/footer.php');
?>
		</TD>
	</TR>
</TABLE>
<!-- body_eof //-->
</body>
</html>
