<?php


/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/

$see_also = 'See also: <a href="help.php?page=modules.php&set=theme">Selecting a button theme</a>; <a href="help.php?page=configuration.php&gID=5">Selecting font styles</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Designing a store interface</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">eShox uses a template-based system to allow for full customization of the store interface. Templates are located in the /shop/templates directory and can be edited with any HTML editor. Elements of the interface that can be modified include:

<blockquote>

<p><u>template.html</u>
<p align="justify">The "template.html" interface element is used to define the layout of shop pages. This file can be edited with Dreamweaver, GoLive or virtually any other HTML editor. This file should contain 8 different interface element tags:

<blockquote>
[pagetitle] defines where the title of shop pages is displayed
<br />[logo] defines where the store logo is displayed
<br />[find] defines where the quick find feature is displayed
<br />[headercolumn-left] [headercolumn-right] defines where the header column menus are displayed
<br />[navbartitle] defines where the navbar title is displayed
<br />[navbarcontents] defines where the navbar contents are displayed
<br />[wintitle] defines where the window titles are displayed
<br />[wincontents] defines where the page contents are displayed
<br />[privacy] defines where the privacy policy link is displayed
<br />[returns] defines where the returns policy link is displayed
<br />[contact_us] defines where the "contact us" link is displayed
<br />[year], [month], [day], [weekday], [monthname] and [date] are used to display date information
<br />[store_name] is used to display the name of this brand/store affiliate
<br />[welcome] is used to display the 'welcome to ' (store name) message

<p>[cartempty] and [/cartempty] are used to display portions of a page when the shopping cart is empty
<br />[cartfull] and [/cartfull] are used to display portions of a page when the shopping cart is full
<br />[loggedin] and [/loggedin] are used to display portions of a page when a user is logged-in
<br />[loggedout] and [/loggedout] are used to display portions of a page when a user is logged-out
<br />[checkout] and [/checkout] are used to display portions of a page when a user is checking-out
<br />[notcheckout] and [/notcheckout] are used to display portions of a page when a user is not checking-out

<p>[navbar_shopping_cart] is used to display the small shopping cart
<br />[navbar_shopping_categories] is used to display the category tree
<br />[navbar_manufacturer] and [navbar_manufacturer_info] are used to display information about products manufacturers
<br />[navbar_new_products] is used to display a random new product (one added within the last month)
<br />[navbar_specials] is used to display random products on special
<br />[navbar_features] is used to display random featured products
<br />[navbar_currencies] is used to display the currencies pop-up list
<br />[navbar_languages] is used to display the language selections
<br />[navbar_search] is used to display the product quick find search field
<br />[navbar_coupons] is used to display the coupon entry area which also lists the customers current coupon list
</blockquote>

All of the interface element tags are optional, if they are not included, their respective contents will not be displayed.

<p><u>product_info.html</u>
<p align="justify">The "product_info.html" interface element is used to define the layout of product information shop pages. This file can be edited with Dreamweaver, GoLive or virtually any other HTML editor. This file should contain the same tags as the "template.html" file and can also include:

<blockquote>
[wincontents] displays all of the product information fields (not suggested)
<p>[form_start] defines where the "buy" form starts, it should be before the "[buy]" and "[quantity]" tags
<br />[product_manufacturer] defines where the manufacturer name is displayed
<br />[product_name] defines where the product name is displayed
<br />[product_model] defines where the product model name is displayed
<br />[product_description] defines where the product description is displayed
<br />[product_image] defines where the product image is displayed
<br />[product_price] defines where the products price is displayed
<br />[product_price_table] defines where the product price table is displayed (for multiple-unit pricing)
<br />[quantity] defines where the quantity field is displayed
<br />[buy] defines where the "add to cart" button is displayed
<br />[also_purchased] defines where the "customers also purchased" information is displayed
<br />[product_webpage_link] defines where the web link URL is displayed (to link to additional product pages)
<br />[form_end] defines where the "buy" form ends, should be after the "[buy]" and "[quantity]" tags

<p>[product_options] defines where the product option pop-up menus are displayed
<br />-or-
<br />[product_options] and [/product_options] define where product options are looped
<br />[option_name] and [option_value] define where option names and values are displayed within a [product_options] loop

<p>[customer_options] defines where the customer option fields are displayed
<br />-or-
<br />[customer_options] and [/customer_options] define where customer options are looped
<br />[option_name] and [option_value] define where option names and values are displayed within a [customer_options] loop

<p>If music features are enabled, additional tags include:
<p>[artist_name] defines where the artist/band name is displayed
<br />[artist_bio] defines where the artist/band bio is displayed
<br />[artist_pic] defines where the artist/band image is displayed
<br />[artist_tour_dates_header] defines where the tour dates header is displayed
<br />[artist_tour_dates] defines where the tour dates are displayed
</blockquote>

All of the interface element tags are optional, if they are not included, their respective contents will not be displayed.

<p><u>column_bg.gif & column_bg_selected.gif</u>
<p align="justify">The "column_bg.gif" and "column_bg_selected.gif" interface elements are used as the backgrounds for product and order lists. The product lists may be sorted by price, name or model. The "Selected Column Background" image is used as the background for the sort column that is currently selected. It is suggested that the "Column Background" and "Selected Column Background" interface elements be 17 pixels in height.


</blockquote>

</blockquote>
</tr>
</table>