<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
$see_also = 'See also: <a href="help.php?page=currencies.php">Setting up Currencies</a>';
?>
<table width="100%" border="0" cellpadding="4" cellspacing="0">
<tr><td class="large">Selecting payment options</td></tr>
<tr><td valign="top">
<blockquote><p align="justify">The "Payment Options" section of eShox can be accessed via eShox Admin. Open a Web browser and enter the following URL: http://your-domain-or-ip/shop/admin/. Click on "Payment Options" under "Checkout Setup" on the left "Administration" window. To enable a payment option, select the payment option and click the "green" button.

<p align="justify">More information about many of the eShox payment options can be obtained by clicking the "Signup" button (if available). To help you decide which payment gateway service to use, a star rating is given to each payment gateway service for their level of integration with eShox. A five-star rating is perfect, meaning that the service provides the best intgration and security.

<p align="justify">Many of the eShox payment options have additional configuration options that can be set. To set these additional configuration options, select a payment option, click "Edit", then make any necessary changes and click "Update". eShox payment options include:

<blockquote>

<p><u>2Checkout</u>
<p align="justify">The "2Checkout" option allows the customer to select 2Checkout as a payment method for their orders. eShox will automatically connect to the 2Checkout Web server when the user checks out.

<p><u>Authorize.net</u>
<p align="justify">The "Authorize.net" option allows the customer to select Authorize.net as a payment method for their orders. eShox will automatically connect to the Authorize.net Web server (using "Advanced Integration Method" or "AIM") when the user checks out.

<p align="justify">Once enabled, additional options include: "Transaction Mode", which can be set to "Test" during initial setup and testing or "Production" when you are ready to take orders; and "Merchant Notifications", which can be set to "True" to send E-mail messages to the merchant upon order completion.

<p><u>Bank of America eStores</u>
<p align="justify">The "Bank of America eStores" option allows the customer to select BofA eStores as a payment method for their orders. eShox will automatically connect to the BofA Web server when the user checks out.

<p align="justify">Once enabled, additional options include: "eStores Authorization Server", which should be set to the URL BofA provided for submitting orders; "eStores AVS E-mail Address", which can be set to "NONE" to ignore AVS warnings, or set to an E-mail address to which these warnings should be sent; and "eStores Auto Settle", which can be set to "Y" to bill customers immediately after order completion or "N" to manually authorize transactions via your BofA eStores account URL.

<p><u>Credit Card</u>
<p align="justify">The "Credit Card" option allows the customer to enter a credit card number to be sent to the merchant for manual card authorization. eShox will automatically check that the card number is valid before allowing an order to be completed, but it will not check if funds are available.

<p align="justify">Once enabled, additional options include: "Credit Card TP Email address", which can be set to "NONE" to only store credit card numbers in eShox Admin, or it can be set to an Email address where the credit card numbers and order information will be sent (insecure).

<p><u>euroConex Clikpay</u>
<p align="justify">The "euroConex Clikpay" option allows the customer to select Clikpay as a payment method for their orders. eShox will automatically connect to the euroConex Web server when the user checks out.

<p align="justify">Once enabled, additional options include: "Transaction Mode", which can be set to "Test" during initial setup and testing or "Production" when you are ready to take orders; and "Currency", which should be set to the currency your Clikpay account is set to receive orders in.

<p><u>eWAY</u>
<p align="justify">The "eWAY" option allows the customer to select eWAY as a payment method for their orders. eShox will automatically connect to the eWAY Web server when the user checks out.

<p><u>Card Service LinkPoint</u>
<p align="justify">The "Card Service LinkPoint" option allows the customer to select LinkPoint as a payment method for their orders. eShox will automatically connect to the LinkPoint Web server when the user checks out.

<p><u>Cash on Delivery</u>
<p align="justify">The "Cash on Delivery" option allows the customer to select COD as a payment method for their orders.

<p><u>Check/Money Order</u>
<p align="justify">The "Check/Money Order" option allows the customer to select Check or Money Order as a payment method for their orders.

<p><u>Moneris eSelect</u>
<p align="justify">The "Moneris eSelect" option allows the customer to select Moneris as a payment method for their orders. eShox will automatically connect to the Moneris Web server when the user checks out.

<p><u>NOCHEX</u>
<p align="justify">The "NOCHEX" option allows the customer to select NOCHEX as a payment method for their orders. eShox will automatically connect to the NOCHEX Web server when the user checks out.

<p><u>Ogone</u>
<p align="justify">The "Ogone" option allows the customer to select Ogone as a payment method for their orders. eShox will automatically connect to the Ogone Web server when the user checks out.

<p><u>PayPal</u>
<p align="justify">The "PayPal" option allows the customer to select PayPal as a payment method for their orders. eShox will automatically connect to the PayPal Web server when the user checks out.

<p><u>PSiGate</u>
<p align="justify">The "PSiGate" option allows the customer to select PSiGate as a payment method for their orders. eShox will automatically connect to the PSiGate Web server when the user checks out.

<p align="justify">Once enabled, additional options include: "Transaction Mode", which can be set to "3" during initial setup and testing or "0" when you are ready to take orders; and "Currency", which can be set to "CAD" for Canadian or "USD" for US Dollars.

<p><u>SECPay</u>
<p align="justify">The "SECPay" option allows the customer to select SECPay as a payment method for their orders. eShox will automatically connect to the SECPay Web server when the user checks out. Once enabled, additional options include: "Currency", which can be set to the currency which will be used to charge the order.

<p><u>USA ePay</u>
<p align="justify">The "USA ePay" option allows the customer to select USA ePay as a payment method for their orders. eShox will automatically connect to the USA ePay Web server when the user checks out. Once enabled, additional options include: "ePay Key", which should be set to your ePay key (generate this with your ePay login on the USA ePay web site).

<p><u>Verisign Payflow Link</u>
<p align="justify">The "Verisign Payflow Link" option allows the customer to select Verisign as a payment method for their orders. eShox will automatically connect to the Verisign Web server when the user checks out.

<p><u>WorldPay Select Junior</u>
<p align="justify">The "WorldPay Select Junior" option allows the customer to select WorldPay as a payment method for their orders. eShox will automatically connect to the WorldPay Web server when the user checks out.

<p align="justify">When using WorldPay, you must create a custom response page that links back to your store when the order is completed. The link should be named something like "Credit card accepted, click here to complete your order" and should link to: "http://your-domain-or-ip/shop/checkout_process.php"

</blockquote>

</blockquote>

</tr>
</table>