<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2008, Secure.cc, Inc.

	Released under the GNU General Public License

*/

require('contents/resources.php');

if ($_GET['action']) {
	$_POST = @array_map('utf_htmlentities', $_POST); // encode string into utf8

	switch ($_GET['action']) {

		case 'resort':
			$status_id = intval($_GET['status_id']);
			if ($status_id >= 1) {
				$selected = shop_db_fetch_array(shop_db_query("select sort_order from " . DB_PREFIX . "orders_status_values where status_id = '$status_id'"));
				$sort = shop_db_fetch_array(shop_db_query("select max(sort_order) as max from " . DB_PREFIX . "orders_status_values"));
				
				if ($_GET['move'] == 'up') {
					$sort_order = $selected['sort_order'] - 1;
					if ($sort_order < 1) $sort_order = 1;
				} else {
					$sort_order = $selected['sort_order'] + 1;
					if ($sort_order > $sort['max']) $sort_order = $sort['max'];
				}
				
				// if sort is the same then we do not need to do anything
				if ($sort_order != $selected['sort_order']) {
					shop_db_query("update " . DB_PREFIX . "orders_status_values set sort_order = '0' where status_id = '$status_id'");
					if ($_GET['move'] == 'up') {
						shop_db_query("update " . DB_PREFIX . "orders_status_values set sort_order = sort_order + 1 where sort_order = '" . ($selected['sort_order']-1) . "'");						
					} else {
						shop_db_query("update " . DB_PREFIX . "orders_status_values set sort_order = sort_order - 1 where sort_order = '" . ($selected['sort_order']+1) . "'");	
					}
					shop_db_query("update " . DB_PREFIX . "orders_status_values set sort_order = '$sort_order' where status_id = '$status_id'");
				}
			}	
			shop_redirect(shop_href_link(MYSELF, 'status_id=' . $status_id));
			break;

		case 'delete_confirm':
			$status_id = intval($_POST['status_id']);
			// need to resort after deletion			
			$info = shop_db_fetch_array(shop_db_query("select sort_order from " . DB_PREFIX . "orders_status_values where status_id='" . $status_id . "'"));
			shop_db_query("delete from " . DB_PREFIX . "orders_status_values where status_id = '" . $status_id . "'");
			shop_db_query("update " . DB_PREFIX . "orders_status_values set sort_order = sort_order - 1 where sort_order > " . $info['sort_order']);
			// if the status_id is the same as the current default then set to new	    
	    if ($status_id == DEFAULT_ORDERS_STATUS_ID) {
	      $update = shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '1' where configuration_key = 'DEFAULT_ORDERS_STATUS_ID'");
	    }
			shop_redirect(shop_href_link(MYSELF));
			break;
			
		case 'insert':
		case 'update':
			$_POST['status_id'] = intval($_POST['status_id']);
			$_POST['language'] = intval($_POST['language']);
			$sInfo = new objectInfo($_POST);
			$status_id = $sInfo->status_id;
	    
	    if ($_POST['switchLanguage'] == 'true') {
	      shop_redirect(shop_href_link(MYSELF, 'status_id=' . $sInfo->status_id . '&action=edit&new=' . $sInfo->new . '&choose_language=' . $sInfo->choose_language));
	    }

			$sql_data = array('status_name' => $sInfo->status_name,
												'status_type' => $sInfo->status_type,
												'is_active' => $sInfo->is_active);

	    if ($_GET['action'] == 'insert') {
	      $max_info = shop_db_fetch_array(shop_db_query("select max(sort_order) as max, min(sort_order) as min from " . DB_PREFIX . "orders_status_values"));
				// insert default language into the database
				$sql_data['language_id'] = $languages_id; // default language
				$sql_data['sort_order']  = $max_info['max']+1;
	      $status_id = shop_db_perform('orders_status_values', $sql_data);
	      // now let's enter all the rest of the languages
	      $languages = shop_get_languages();
	      for ($i=0; $i<sizeof($languages); $i++) {
	      	if ($languages[$i]['id'] == $languages_id) continue; // skip
	        $sql_data['status_id'] = $status_id;
	        $sql_data['language_id'] = $languages[$i]['id'];
	        shop_db_perform('orders_status_values', $sql_data);
	      }
	    }
	    elseif ($_GET['action'] == 'update') {
				// if for some reason a status does not have a language entry
				if ($sInfo->new == 'true') {
					$sql_data = shop_db_fetch_array(shop_db_query("select * from " . DB_PREFIX . "orders_status_values where language_id = '$languages_id' and status_id = '" . $status_id . "'"));
					$sql_data['language_id'] = $sInfo->language;
					$sql_data['status_name'] = $sInfo->status_name;
	      	shop_db_perform('orders_status_values', $sql_data);
				}
				else {
		      shop_db_perform('orders_status_values', $sql_data, 'update', "status_id = '" . $sInfo->status_id . "' and language_id = '" . $sInfo->language . "'");
		    }
	      // if old status_type is not equal to new status type we need to change
	      if ($sInfo->status_type != $sInfo->old_status) {
					shop_db_perform('orders_status_values', array('status_type'=>$sInfo->status_type), 'update', "status_id = '" . $sInfo->status_id . "'");
	      }
	    }
	    
	    if ($_POST['default'] == 'true') {
	      $update = shop_db_query("update " . DB_PREFIX . "configuration set configuration_value = '" . $status_id . "' where configuration_key = 'DEFAULT_ORDERS_STATUS_ID'");
	    }

	    $language_id = $_POST['language'];
	    
	    shop_redirect(shop_href_link(MYSELF, 'status_id=' . $status_id . '&choose_language=' . $language_id));
	    break;
	}
}

header("Expires: Mon, 26 Nov 1962 00:00:00 GMT");
header("Last-Modified: " . gmdate("D,d M Y H:i:s") . " GMT");
header("Cache-Control: no-cache, must-revalidate");
header("Pragma: no-cache");

$lang = ($_GET['choose_language']) ? intval($_GET['choose_language']) : $languages_id;

$language_data = shop_get_language($lang);

?><html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo $language_data['meta']; ?>">
<title>eShox: Order Status Values</title>
<link rel="stylesheet" type="text/css" href="contents/stylesheet.css">
<script language="JavaScript" src="contents/eshox_os/scripts.js" type="text/javascript"></script>

</head>
<body marginwidth="0" marginheight="0" topmargin="0" bottommargin="0" leftmargin="0" rightmargin="0" bgcolor="333333">
<!-- body //-->
<table width="100%" border="0" cellpadding="0" cellspacing="0">
<?php
$help_page = MYSELF;
include('contents/header.php');
?>
</table>
<table border="0" width="100%" cellspacing="8" cellpadding="1" bgcolor="333333">
  <tr>
	<td width="<?php echo BOX_WIDTH; ?>" valign="top"><table border="0" width="160" cellspacing="0" cellpadding="0">
<!-- left_navigation //-->
<?php require('contents/navbar.php'); ?>
<!-- left_navigation_eof //-->
	</table></td>
<!-- body_text //-->
	<td width="100%" valign="top">
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
		<tr>
			<td width="8"><img src="images/win_header_left.gif" width="8" height="22"></td>
	        <td width="60" align="left" valign="center" background="images/win_header_bg.gif"><a href="index.php"><img src="images/close.gif" width="13" height="14" border="0"></a></td>
			<td class="windowHeading" background="images/win_header_bg.gif" height="22" align=center valign="center">Order Status Values</td>
	        <td width="34" background="images/win_header_bg.gif"></td>
			<td width="8"><img src="images/win_header_right.gif" width="8" height="22"></td>
		</tr>
	</table>
	<table width="100%" border="0" cellpadding="0" cellspacing="0">
	<tr>
		<td width="100%" bgcolor="FFFFFF">
	<table border="0" width="100%" cellspacing="0" cellpadding="0">
	  <tr>
	    <td background="images/win_header_column.gif" valign="top">
	      <table border="0" width="100%" cellspacing="0" cellpadding="0">
	        <tr>
	          <td height="17" valign="center" class="dataTableContent"> &nbsp; Status</td>
	          <td height="17" valign="center" class="dataTableContent" colspan="3">Type</td>
	        </tr>
<?php
$result = shop_db_query("select * from " . DB_PREFIX . "orders_status_values where language_id = '$languages_id' order by sort_order");

while ($selected = shop_db_fetch_array($result)) {

	if ( ((!$_GET['status_id']) || (@$_GET['status_id'] == $selected['status_id'])) && (!$sInfo) && $_GET['action']!='new' ) {
		if ($lang != $languages_id) {
			// if we are modifying a different language then change the $sInfo
			$selected_w_lang = shop_db_fetch_array(shop_db_query("select * from " . DB_PREFIX . "orders_status_values where language_id = '" . $lang . "' and status_id = '" . $selected['status_id'] . "'"));
			if (!$selected_w_lang['status_id']) $new = 'true';
		}
		$sInfo = new objectInfo($selected);
	}

	if ( (is_object($sInfo)) && ($selected['status_id'] == $sInfo->status_id) ) {
		echo '<tr class="dataTableRowSelected">' . UNIX_RETURN;
		$link = '';
	} else {
		echo '<tr class="dataTableRow" onmouseover="this.style.cursor=\'pointer\'">' . UNIX_RETURN;
		$link = ' onclick="document.location.href=\'' . shop_href_link(MYSELF, 'status_id=' . $selected['status_id']) . '\'"';
	}
	
	if ($selected['status_id'] == DEFAULT_ORDERS_STATUS_ID) {
		$selected['status_name'] = '<b>' . $selected['status_name'] . ' (default)</b>';
	}
?>
	            <td class="dataTableContent" valign="center" align="left" height="20"<?php echo $link . '> &nbsp; ' . $selected['status_name']; ?></td>
	            <td class="dataTableContent" valign="center" align="left"<?php echo $link . '>' . $selected['status_type']; ?></td>
	            <td class="dataTableContent" align="center"<?php
	              if ( (is_object($sInfo)) && ($selected['status_id'] == $sInfo->status_id) ) {
	                echo '><a href="' . shop_href_link(MYSELF, 'status_id=' . $selected['status_id'] . '&action=resort&move=up') . '">' . shop_image(DIR_WS_IMAGES . 'icon_arrow_up.gif', 'Move Up') . '</a>';
	                echo '<a href="' . shop_href_link(MYSELF, 'status_id=' . $selected['status_id'] . '&action=resort&move=down') . '">' . shop_image(DIR_WS_IMAGES . 'icon_arrow_down.gif', 'Move Down') . '</a>';
	              } else {
	                echo $link . '>&nbsp;';
	              }
	              ?></td>
	            <td class="dataTableContent" align="right"><?php
	              if ( (is_object($sInfo)) && ($selected['status_id'] == $sInfo->status_id) ) {
	                echo shop_image(DIR_WS_IMAGES . 'icon_arrow_right.gif', '');
	              } else {
	                echo '<a href="' . shop_href_link(MYSELF, '&status_id=' . $selected['status_id']) . '">&nbsp;</a>';
	              } ?></td>
	          </tr>
<?php
	}
?>
	          </table>
	          <table border="0" width="100%" cellspacing="0" cellpadding="2">
	              <tr>
	                <td height="6"></td>
	              </tr>
	              <tr>
	                <td align="right" class="smallText"><?php
	                echo '&nbsp;<a href="' . shop_href_link(MYSELF, 'action=new') . '">' . shop_image_button('button_insert.gif', IMAGE_INSERT) . '</a>'; ?>&nbsp;</td>
	              </tr>
	          </table>
	    </td>
<?php
if ($selected_w_lang['status_id']) $sInfo = new objectInfo($selected_w_lang);

$status_types = array(
									array('id' => 'new',        'text' => 'New'),
									array('id' => 'processing', 'text' => 'Processing'),
									array('id' => 'intransit',  'text' => 'In Transit'),
									array('id' => 'delivered',  'text' => 'Delivered'),
									array('id' => 'terminated', 'text' => 'Terminated'),
								);

$heading = array();
$contents = array();

$languages = shop_get_languages();
$language_data = shop_get_language($lang);

switch ($_GET['action']) {

	case 'new':
		$heading[] = array('text' => 'New Status');

		$contents = array('form' => shop_draw_form('newstatus', MYSELF, 'action=insert', 'post', 'enctype="multipart/form-data"'));
		$contents[] = array('text' => 'Please fill out the following information for the new status');

		$contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false"><input type="hidden" name="language" value="' . $lang . '"><input type="hidden" name="new" value="true">');
		$contents[] = array('text' => 'Select Language:' . shop_draw_language_menu($lang));
		$contents[] = array('text' => 'Status Name (' . $language_data['name'] . ')<br />' . shop_draw_input_field('status_name') . '<br />');
		$contents[] = array('text' => 'Status Type<br />' . shop_draw_pull_down_menu('status_type', $status_types, 'new') . '<br />');
		$contents[] = array('text' => shop_draw_checkbox_field('is_active', '1') . 'Check if this status is considered an active order.');
		$contents[] = array('text' => shop_draw_checkbox_field('default', 'true') . 'Set all new orders to this status');
		$contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . '&nbsp;<a href="' . shop_href_link(MYSELF) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
		break;

	case 'delete':
		$heading[] = array('text' => 'Delete Status');

		$contents = array('form' => shop_draw_form('orderstatus', MYSELF, 'action=delete_confirm') . shop_draw_hidden_field('status_id', $sInfo->status_id));
		$contents[] = array('text' => 'Are you sure you want to delete?');
		$contents[] = array('text' => '<b>' . $sInfo->status_name . '</b>');
		$contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_delete.gif', IMAGE_DELETE) . ' <a href="' . shop_href_link(MYSELF, 'status_id=' . $sInfo->status_id) . '">' . shop_image_button('button_cancel.gif', IMAGE_CANCEL) . '</a>');
		break;

	default:
		if (is_object($sInfo)) {
			$heading[] = array('text' => 'Edit Status');
	
			$contents = array('form' => shop_draw_form('orderstatus', MYSELF, 'action=update', 'post', 'enctype="multipart/form-data"') . shop_draw_hidden_field('status_id', $sInfo->status_id));
			$contents[] = array('text' => 'Please make any necessary modifications.');
	
			$contents[] = array('text' => '<input type="hidden" name="switchLanguage" value="false"><input type="hidden" name="language" value="' . $lang . '"><input type="hidden" name="new" value="' . $new . '"><input type="hidden" name="old_status" value="' . $sInfo->status_type . '">');
			$contents[] = array('text' => 'Select Language:' . shop_draw_language_menu($lang));	
			$contents[] = array('text' => 'Status Name (' . $language_data['name'] . ')<br />' . shop_draw_input_field('status_name', $sInfo->status_name) . '<br />');
			$contents[] = array('text' => 'Status Type<br />' . shop_draw_pull_down_menu('status_type', $status_types, $sInfo->status_type) . '<br />');
			$contents[] = array('text' => shop_draw_checkbox_field('is_active', '1', $sInfo->is_active) . 'Check if this status is considered an active order.');
			$contents[] = array('text' => shop_draw_checkbox_field('default', 'true', (DEFAULT_ORDERS_STATUS_ID == $sInfo->status_id ? '1' : '0')) . 'Set all new orders to this status');
			$contents[] = array('align' => 'center', 'text' => '<br />' . shop_image_submit('button_save.gif', IMAGE_SAVE) . ' &nbsp; ' . ($sInfo->status_id != 1 ? '<a href="' . shop_href_link(MYSELF, 'status_id=' . $sInfo->status_id) . '&action=delete">' . shop_image_button('button_delete.gif', IMAGE_DELETE) . '</a>' : ''));
		}
		else {
			$heading[] = array('text' => 'Attention!');
			$contents[] = array('text' => 'If you are seeing this text, please reinstall the orders_status_values table, otherwise your cart will not work');
		}
	
}

if ( ($heading) && ($contents) ) {
	echo '            <td width="250" valign="top" class="infoBoxContent">' . UNIX_RETURN;

	$box = new box;
	echo $box->infoBox($heading, $contents);

	echo '            </td>' . UNIX_RETURN;
}
?>
	</table>
  </td>
</td>
</tr>
<tr>
	<td background="images/win_div.gif" width="8" height="1"></td>
</tr>
</table>
<table width="100%" border="0" cellpadding=0 cellspacing=0 background="images/base_bg.gif">
	<tr>
	    <td>
<?php
include('contents/footer.php');
?>
	    </td>
	</tr>
</table>
</td>
</tr>
</table>
<!-- body_eof //-->

</body>
</html>
