<?php
/*
	eShox OS
	http://www.eshox.com/

	Copyright (c) 2003, Secure.cc, Inc.

	Released under the GNU General Public License

*/

$column_list = array();

if (PRODUCT_LIST_IMAGE == 'true') $column_list[] = 'PRODUCT_LIST_IMAGE';
if (PRODUCT_LIST_NAME == 'true') $column_list[] = 'PRODUCT_LIST_NAME';
if (PRODUCT_LIST_MANUFACTURER == 'true') $column_list[] = 'PRODUCT_LIST_MANUFACTURER';
if (PRODUCT_LIST_MODEL == 'true') $column_list[] = 'PRODUCT_LIST_MODEL';
if (PRODUCT_LIST_PRICE == 'true') $column_list[] = 'PRODUCT_LIST_PRICE';
if (PRODUCT_LIST_WEIGHT == 'true') $column_list[] = 'PRODUCT_LIST_WEIGHT';
if (PRODUCT_LIST_MIN_QTY == 'true') $column_list[] = 'PRODUCT_LIST_MIN_QTY';
if (PRODUCT_LIST_QUANTITY == 'true') $column_list[] = 'PRODUCT_LIST_QUANTITY';
if (PRODUCT_LIST_BUY_NOW == 'buy now') $column_list[] = 'PRODUCT_LIST_BUY_NOW';
if (PRODUCT_LIST_BUY_NOW == 'quantity fields') $column_list[] = 'PRODUCT_LIST_BUY_QTY';

if (!@$listing_sql) {
	$listing_sql = "select $products_fields, pd.products_name, s.specials_new_products_price 
		from " . DB_PREFIX . "products p left join " . DB_PREFIX . "specials s on (s.products_id = p.products_id), " . DB_PREFIX . "products_description pd 
	where pd.products_id = p.products_id and pd.language_id = '$languages_id'";
}

if (@$_GET['sort'] && substr(@$_GET['sort'],0,1) < sizeof($column_list)) {
	$sort_col = substr($_GET['sort'], 0 , 1);
	$sort_order = substr($_GET['sort'], 1);
	$listing_sql .= ' order by ';
	switch ($column_list[$sort_col-1]) {
		case 'PRODUCT_LIST_MODEL':        $listing_sql .= "p.products_model " . ($sort_order == 'd' ? "desc" : "") . ", pd.products_name"; break;
		case 'PRODUCT_LIST_NAME':         $listing_sql .= "pd.products_name " . ($sort_order == 'd' ? "desc" : ""); break;
		case 'PRODUCT_LIST_MANUFACTURER': $listing_sql .= "m.manufacturers_id " . ($sort_order == 'd' ? "desc" : "") . ", pd.products_name"; break;
		case 'PRODUCT_LIST_QUANTITY':     $listing_sql .= "p.products_quantity " . ($sort_order == 'd' ? "desc" : "") . ", pd.products_name"; break;
		case 'PRODUCT_LIST_IMAGE':        $listing_sql .= "pd.products_name"; break;
		case 'PRODUCT_LIST_WEIGHT':       $listing_sql .= "p.products_weight " . ($sort_order == 'd' ? "desc" : "") . ", pd.products_name"; break;
		case 'PRODUCT_LIST_PRICE':        $listing_sql .= "final_price " . ($sort_order == 'd' ? "desc" : "") . ", pd.products_name"; break;
	}
}
$listing_split = new splitPageResults($_GET['page'], MAX_DISPLAY_SEARCH_RESULTS, $listing_sql, $listing_numrows);
#echo $listing_sql; 

$listing_query = shop_db_query($listing_sql);
$colspan = sizeof($column_list);

echo shop_draw_separator('pixel_trans.gif', '100%', '10');

if ($listing_numrows > 0 && (PREV_NEXT_BAR_LOCATION == 'top' || PREV_NEXT_BAR_LOCATION == 'both')) {
?>
<table border="0" width="100%" cellspacing="0" cellpadding="2">
	<tr>
		<td valign="center" class="smallText">&nbsp;<?php echo $listing_split->display_count($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?>&nbsp;</td>
		<td valign="center" class="smallText" align="right">&nbsp;<?php echo $listing_split->display_links($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], shop_get_all_get_params(array('page', 'info', 'x', 'y'))); ?>&nbsp;</td>
	</tr>
</table>
<?php
}
?>
<table border="0" width="100%" cellspacing="0" cellpadding="0">
<?php
$curr_row = 1;
$num_qty = 0;
if ($listing_numrows > 0) {
	$table = array();
	$table[0] = array();
	for ($col=0; $col<sizeof($column_list); $col++) {
		$lc_align = 'left';
		switch ($column_list[$col]) {
			case 'PRODUCT_LIST_MODEL':
				$lc_text = TABLE_HEADING_MODEL;
				$lc_css = 'model';
				break;
			case 'PRODUCT_LIST_NAME':
				$lc_text = TABLE_HEADING_PRODUCTS;
				$lc_css = 'product';
				break;
			case 'PRODUCT_LIST_MANUFACTURER':
				$lc_text = TABLE_HEADING_MANUFACTURER;
				$lc_css = 'manufacturer';
				break;
			case 'PRODUCT_LIST_PRICE':
				$lc_text = TABLE_HEADING_PRICE;
				$lc_align = 'right';
				$lc_css = 'price';
				break;
			case 'PRODUCT_LIST_QUANTITY':
				$lc_text = TABLE_HEADING_QUANTITY;
				$lc_align = 'right';
				$lc_css = 'qty';
				break;
			case 'PRODUCT_LIST_WEIGHT':
				$lc_text = TABLE_HEADING_WEIGHT;
				$lc_align = 'right';
				$lc_css = 'weight';
				break;
			case 'PRODUCT_LIST_IMAGE':
				$lc_text = '&nbsp;';
				$lc_align = 'center';
				$lc_css = 'image';
				break;
			case 'PRODUCT_LIST_MIN_QTY':
				$lc_text = TABLE_HEADING_MIN_QTY;
				$lc_align = 'right';
				$lc_css = 'minqty';
				break;
			case 'PRODUCT_LIST_BUY_NOW':
				$lc_text = TABLE_HEADING_BUY_NOW;
				$lc_align = 'center';
				$lc_css = 'buynow';
				break;
			case 'PRODUCT_LIST_BUY_QTY':
				$lc_text = TABLE_HEADING_QUANTITY;
				$lc_align = 'right';
				$lc_css = 'buyqty';
				break;
		}
	
		if ($column_list[$col] != 'PRODUCT_LIST_IMAGE' && $column_list[$col] != 'PRODUCT_LIST_BUY_QTY' && $column_list[$col] != 'PRODUCT_LIST_BUY_NOW') {
			if (!$_GET['sort']) $_GET['sort'] = 100;
			$lc_text = shop_create_sort_heading(@$_GET['sort'], $col+1, $lc_text, $lc_align);
		}
		if (@$_GET['sort'] == $col+1) {
			$table[0][] = '    <td height="17" class="column" background="templates/' . MODULE_SKIN_SELECTED . '/images/column_bg_selected.gif" align="' . $lc_align . '" id="eshox-list-' . $lc_css . '">&nbsp;' . $lc_text . '&nbsp;</td>';
		} else {
			$table[0][] = '    <td height="17" class="column" background="templates/' . MODULE_SKIN_SELECTED . '/images/column_bg.gif" align="' . $lc_align . '" id="eshox-list-' . $lc_css . '">&nbsp;' . $lc_text . '&nbsp;</td>';
		}
	}
	
	while ($listing = & shop_db_fetch_array($listing_query)) {
		$table[$curr_row] = array();
		$curr_data=0;
		$products_min_qty = explode(':',$listing['products_price']);
		$products_min_qty = ((@$products_min_qty[1] > 0) ? $products_min_qty[0] : 1);
		foreach ($column_list as $column) {
			$lc_align = '';
			switch ($column) {
				case 'PRODUCT_LIST_MODEL':
					$lc_text = '&nbsp;' . $listing['products_model'] . '&nbsp;';
					break;
				case 'PRODUCT_LIST_NAME':
					if (@$_GET['manufacturers_id']) {
						$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing['products_id'], 'NONSSL') : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id'], 'NONSSL') . 'manufacturers_id=' . $_GET['manufacturers_id'] . '/';
						$lc_text = '&nbsp; <a href="' . $link . '">' . $listing['products_name'] . '</a>';
					} else {
						$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '&' : '') . 'products_id=' . $listing['products_id']) : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id']) . (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '/' : '');
						$lc_text = '&nbsp; <a href="' . $link . '">' . $listing['products_name'] . '</a>&nbsp;';
					}
					break;
				case 'PRODUCT_LIST_MANUFACTURER':
					$lc_text = '&nbsp;<a href="' . shop_href_link('index.php', 'manufacturers_id=' . $listing['manufacturers_id'], 'NONSSL') . '">' . shop_get_manufacturers_name($listing['manufacturers_id']) . '</a>&nbsp;';
					break;
				case 'PRODUCT_LIST_PRICE':
					$lc_align = 'right';
					$tax_rate = shop_get_tax_rate($listing['products_tax_class_id']);
					if ($listing['products_call_for_price']=='1') {
						$lc_text = '<span class="call_for_price">' . TEXT_CALL_FOR_PRICE . '</span>';
					}
					elseif ($listing['specials_new_products_price']) {
						$lc_text = '&nbsp;<s>' .  $GLOBALS['currencies']->display_price($listing['products_price'], $tax_rate) . '</s>&nbsp;&nbsp;<span class="productSpecialPrice">' . $GLOBALS['currencies']->display_price($listing['specials_new_products_price'], $tax_rate) . '</span>&nbsp;';
					}
					else {
						$lc_text = '&nbsp;' . $GLOBALS['currencies']->display_price($listing['products_price'], $tax_rate) . '&nbsp;';
					}
					break;
				case 'PRODUCT_LIST_QUANTITY':
					$lc_align = 'right';
					$lc_text = '&nbsp;' . $listing['products_quantity'] . '&nbsp;';
					break;
				case 'PRODUCT_LIST_WEIGHT':
					$lc_align = 'right';
					$lc_text = '&nbsp;' . $listing['products_weight'] . '&nbsp;';
					break;
				case 'PRODUCT_LIST_IMAGE':
					$lc_align = 'center';
					if (@$_GET['manufacturers_id']) {
						$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', 'manufacturers_id=' . $_GET['manufacturers_id'] . '&products_id=' . $listing['products_id'], 'NONSSL') : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id'], 'NONSSL') . 'manufacturers_id=' . $_GET['manufacturers_id'] . '/';
						$lc_text = '<a href="' . $link . '">' . shop_image('images/' . $listing['products_thumb'], $listing['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>';
					} else {
						$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '&' : '') . 'products_id=' . $listing['products_id']) : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id']) . (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '/' : '');
						$lc_text = '&nbsp;<a href="' . $link . '">' . shop_image('images/' . (($listing['products_thumb']) ? $listing['products_thumb'] : $listing['products_image']), $listing['products_name'], SMALL_IMAGE_WIDTH, SMALL_IMAGE_HEIGHT) . '</a>&nbsp;';
					}
					break;
				case 'PRODUCT_LIST_MIN_QTY':
					$lc_align = 'right';
					$lc_text = '&nbsp;' . $products_min_qty . '&nbsp;';
					break;
					/* added if else statement to display nothing if stock_allow_checkout is not set to true, then to display a new image (select options) and a link to the product page  when product or customer options are set */
				case 'PRODUCT_LIST_BUY_NOW':
					$lc_align = 'center';
					if (($listing['products_quantity'] < 1 && STOCK_ALLOW_CHECKOUT != 'true') || shop_has_product_attributes($listing['products_id']) || shop_has_customer_options($listing['products_id']) || $listing['products_call_for_price'] == '1') {
						
						if ($listing['products_quantity'] < 1 && STOCK_ALLOW_CHECKOUT != 'true') {
							$lc_text = '&nbsp;';
						} else {
							$lc_align = 'center';
							$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '&' : '') . 'products_id=' . $listing['products_id']) : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id']) . (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '/' : '');
							$lc_text = '&nbsp;<a href="' . $link . '">' . shop_image('templates/' . MODULE_SKIN_SELECTED . '/images/select_options.gif', IMAGE_BUTTON_SELECT_OPTION) . '</a>&nbsp;';
						}
					} else {
						$lc_text = shop_draw_form('cart_quantity', 'product_info.php', shop_get_all_get_params(array('action')) . 'action=add_product') . '<input type="image" src="images/button_buy_now.gif" alt="' . IMAGE_BUTTON_IN_CART . '"><input type="hidden" name="products_id" value="' . $listing['products_id'] . '"></form>';
					}
					break;
				/* added if else statement to display nothing if stock_allow_checkout is not set to true, then to display a new image (select options) and a link to the product page  when product or customer options are set, this is not a perfect way for qty boxes, but it works better than just having a blank area where the qty box is supposed to be. */
				case 'PRODUCT_LIST_BUY_QTY':
					if (($listing['products_quantity'] < 1 && STOCK_ALLOW_CHECKOUT != 'true') || shop_has_product_attributes($listing['products_id']) || shop_has_customer_options($listing['products_id']) || $listing['products_call_for_price'] == '1') {
						
						if ($listing['products_quantity'] < 1 && STOCK_ALLOW_CHECKOUT != 'true') {
							$lc_text = '&nbsp;';
						} else {
							$lc_align = 'right';
							$link = (MOD_REWRITE == 'false') ? shop_href_link('product_info.php', (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '&' : '') . 'products_id=' . $listing['products_id']) : shop_rewrite_link('prod', $listing['products_name'], $listing['products_id']) . (@$_GET['cPath'] ? 'cPath=' . $_GET['cPath'] . '/' : '');
							$lc_text = '&nbsp;<a href="' . $link . '">' . shop_image('templates/' . MODULE_SKIN_SELECTED . '/images/select_options.gif', IMAGE_BUTTON_SELECT_OPTION, '', '') . '</a>&nbsp;';
						}
					} else {
						$lc_align = 'right';
						$lc_text = '<input type="text" name="products_id[' . $listing['products_id'] . ']" value="0" size="3" /><input type="hidden" name="products_qty[' . $listing['products_id'] . ']" value="' . $products_min_qty . '" />';
						$num_qty = true;
					}
					break;
			}

			$table[$curr_row][$curr_data] = '    <td align="' . $lc_align . '" class="body">' . $lc_text . '</td>';
			$curr_data++;

		}
		$curr_row++;
	}
	
	if ($num_qty && PRODUCT_LIST_BUY_NOW == 'quantity fields') {
		echo shop_draw_form('cart_quantity','product_info.php', shop_get_all_get_params(array('action')) . 'action=add_multiproduct');
	}
	
	foreach ($table as $id=>$table_row) {
		echo '  <tr>' . UNIX_RETURN;
		foreach ($table_row as $id=>$table_data) echo $table_data . UNIX_RETURN;
		echo '  </tr>' . UNIX_RETURN;
	}
	
	if ($num_qty && PRODUCT_LIST_BUY_NOW == 'quantity fields') {
		echo '  <tr><td colspan="' . $col . '" align="right" valign="center">' . shop_image_submit('button_in_cart.gif',IMAGE_BUTTON_IN_CART) . '</td></tr></form>';
	}
} else {
	if (MYSELF == 'advanced_search_result.php') {
?>
  <tr class="body">
	  <td colspan="<?php echo $col; ?>" class="smallText">&nbsp;<br />&nbsp;<?php echo TEXT_NO_PRODUCTS_SEARCH; ?>&nbsp;</td>
  </tr>
<?php
	}
}
if ($listing_numrows > 0 && (PREV_NEXT_BAR_LOCATION == 'bottom' || PREV_NEXT_BAR_LOCATION == 'both')) {
?>
  <tr>
	<td colspan="<?php echo $col; ?>">
		<table border="0" width="100%" cellspacing="0" cellpadding="2">
			<tr>
				<td valign="center" class="smallText">&nbsp;<?php echo $listing_split->display_count($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, $_GET['page'], TEXT_DISPLAY_NUMBER_OF_PRODUCTS); ?>&nbsp;</td>
				<td valign="center" class="smallText" align="right">&nbsp;<?php echo $listing_split->display_links($listing_numrows, MAX_DISPLAY_SEARCH_RESULTS, MAX_DISPLAY_PAGE_LINKS, $_GET['page'], shop_get_all_get_params(array('page', 'info', 'x', 'y'))); ?>&nbsp;</td>
			</tr>
		</table>
	</td>
  </tr>
<?php
}
?>
</table>