<?php
/*
  eShox 3 Commerce Solution
  http://www.eshox.com/
  
  Copyright (c) 2003, Secure.cc, Inc.

*/
  
  class ogone {
	var $code, $title, $description, $enabled;

	function ogone() {
	  $this->code = 'ogone';
	  $this->title = 'Ogone';
	  $this->shop_title = MODULE_PAYMENT_CC_TEXT_TITLE;
	  $this->description = '';
	  $this->signup = 'http://www.ogone.com/';
	  $this->enabled = defined('MODULE_PAYMENT_OGONE_STATUS');
	  $this->recommend_level = 5;
	  $this->version = "2.0";
	}

	function javascript_validation() {
	  return shop_draw_cc_javascript_validation($this->code);
	}

	function selection() {
	  return shop_draw_cc_input();
	}

	function pre_confirmation_check() {
	  if ($_POST['payment_selected'] == $this->code) shop_validate_cc($_POST['cc_owner'],$_POST['cc_number'], $_POST['cc_expires_month'], $_POST['cc_expires_year'], $_POST['cc_code']);
	}

	function confirmation() {
	  return false;
	}

	function process_button() {
	  $process_button_string = shop_draw_hidden_field('cc_owner', $_POST['cc_owner']) . 
	                           shop_draw_hidden_field('cc_number', $_POST['cc_number']) . 
	                           shop_draw_hidden_field('cc_code', $_POST['cc_code']) . UNIX_RETURN .
	                           shop_draw_hidden_field('cc_expires_month', $_POST['cc_expires_month']) . UNIX_RETURN .
	                           shop_draw_hidden_field('cc_expires_year', $_POST['cc_expires_year']) . UNIX_RETURN;

	  return $process_button_string;
	}

	function before_process() {
	  global $order;
	  
	  if (MODULE_PAYMENT_OGONE_TESTMODE == 'Test') {
	      $ogone_url = 'https://secure.ogone.com/ncol/test/orderdirect.asp';
	  } else {
	      $ogone_url = 'https://secure.ogone.com/ncol/prod/orderdirect.asp';
	  }
	  
	  $data_array = array('PSPID' => MODULE_PAYMENT_OGONE_PSPID,
						  'orderID' => $order->info['orders_id'],
						  'amount' => $order->info['total'] * 100,
						  'currency' => DEFAULT_CURRENCY,
						  'CN' => $_POST['cc_owner'],
						  'CARDNO' => $_POST['cc_number'],
						  'ED' => $_POST['cc_expires_month'] . '/' . $_POST['cc_expires_year'],
						  'Ecom_Payment_Card_Verification' => $_POST['cc_code'],
						  'EMAIL' => $order->customer['email_address'],
						  'Owneraddress' => $order->customer['street_address'],
						  'bill_addr_2' => $order->customer['street_address2'],
						  'ownercty' => $order->customer['city'],
						  'bill_state' => $order->customer['state'],
						  'bill_country' => $order->customer['state'],
						  'OwnerZip' => $order->customer['postcode'],
						  'options' => 'test_status=' . ((MODULE_PAYMENT_SECPAY_TESTMODE == 'Test') ? 'A' : 'N') . ',dups=false' . 
						  (($_POST['cc_code']) ? ',cv2=' . $_POST['cc_code'] . ',req_cv2=true' : ',req_cv2=false'));
		
	  $request = str_replace(array(DOS_RETURN),'&',http_request($ogone_url, $data_array));
	  preg_match_all('/([^=]+)="([^"]+|)"[>&]/', $request, $response);
	  
	  $result = array();
	  for ($x=0; $x<sizeof($response[1]); $x++) {
	    $result[$response[1][$x]] = $response[2][$x];
	  }
	  
	  if ($result['STATUS'] != '5') {
		shop_redirect(shop_href_link('checkout_payment.php', 'error_message=' . urlencode(MODULE_PAYMENT_CC_TEXT_ERROR . ' ' . $result['NCERRORPLUS']), 'SSL'));
	  }
	  
	  $order->info['cc_approval'] = $result['ACCEPTANCE'];
	}

	function after_process() {
	  return false;
	}

	function check() {
	  return defined('MODULE_PAYMENT_OGONE_STATUS');
	}

	function install() {
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_key, configuration_value) values ('MODULE_PAYMENT_OGONE_STATUS', 'true')");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, date_added) values ('Ogone PSPID', 'MODULE_PAYMENT_OGONE_PSPID', 'securecc', '', '6', '2', now())");
	  shop_db_query("insert into " . DB_PREFIX . "configuration (configuration_title, configuration_key, configuration_value, configuration_description, configuration_group_id, sort_order, set_function, date_added) values ('Transaction Mode', 'MODULE_PAYMENT_OGONE_TESTMODE', 'Test', 'Transaction mode used for processing orders', '6', '4', 'shop_cfg_select_option(array(\'Test\', \'Production\'), ', now())");
	}

	function remove() {
	  shop_db_query("delete from " . DB_PREFIX . "configuration where configuration_key in ('" . implode("','", $this->keys()) . "')");
	}

	function keys() {
	  return array('MODULE_PAYMENT_OGONE_STATUS', 'MODULE_PAYMENT_OGONE_PSPID', 'MODULE_PAYMENT_OGONE_TESTMODE');
	}
  }
